  <?php
/**
 * The template for displaying archive pages
 *
 * @package WordPress
 * @subpackage Aztecs
 * @since 1.0.0
 * @version 1.0.0
 */

get_header(); 
?>
 <section class="fs-banner-inner all-posts">
    <div class="container">
      <div class="fs-banner-content">
        <h1 class="page-title archive-title"><?php the_archive_title(); ?></h1>  
        <ul class="fs-breadcrumb">
          <li>
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
              <?php _e('Home', 'aztecs'); ?>
            </a> 
            <span><i class="fas fa-caret-right"></i></span>
          </li>
          <li><?php the_title(); ?></li>
        </ul>
      </div>
    </div><!-- ./containerr -->
  </section><!-- /.banner -->
<section class="fs-archive p-t70 p-b70 archive-page">
   	<div class="container">
      	<div class="row">
      		<div class="col-lg-9 col-md-12 col-sm-12 col-xs-12">
            <div class="row">
              <?php
    						do_action('aztecs_before_archieve_sections');
    						if ( have_posts() ) {
    						  while ( have_posts() ) {
      							the_post();
      							get_template_part( 'template-parts/content/content', 'loop' );
    							} // End of the loop.
    						} else {
    							get_template_part( 'template-parts/content/content', 'none' ); 
    						}
    						do_action('aztecs_after_archieve_sections');
  					
    					if (function_exists('aztecs_post_pagination')) {
    						aztecs_post_pagination();
              }
  					?>
            </div>
          </div>
          <div class="col-lg-3 col-md-8 col-sm-12 col-xs-12">
            <div class="fs-sidebar">
              <?php dynamic_sidebar('aztecs_sidebar'); ?>
            </div>
          </div>
      	</div>
  	</div>
</section>
<?php get_footer();