<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @package WordPress
 * @subpackage Aztecs
 * @since 1.0.0
 * @version 1.0.0
 */
$default_img = get_template_directory_uri().'/assets/images/bg/bg_map.png';
$bg_image = get_theme_mod( 'footer_bgimg_setting', $default_img);

$footer_column_setting = get_theme_mod('footer_column_setting',5); 
$footer_column_cls = "col-lg-4 col-md-4 grid-3";
if ($footer_column_setting == 5) {
    $footer_first_column_cls = 'col-xl-3 col-lg-12 col-md-12';
    $footer_second_column_cls = 'col-xl-1 col-lg-2 col-md-6';
    $footer_third_column_cls = 'col-xl-2 col-lg-2 col-md-6';
    $footer_fourth_column_cls = 'col-xl-4 col-lg-5 col-md-6';
    $footer_fifth_column_cls = 'col-xl-2 col-lg-3 col-md-6';

} elseif ($footer_column_setting == 4) {
    $footer_first_column_cls = 'col-xl-4 col-lg-12 col-md-12';
    $footer_second_column_cls = 'col-xl-2 col-lg-2 col-md-6';
    $footer_third_column_cls = 'col-xl-2 col-lg-2 col-md-6';
    $footer_fourth_column_cls = 'col-xl-4 col-lg-5 col-md-6'; 

} elseif ($footer_column_setting == 3) {
    $footer_first_column_cls = 'col-xl-6 col-lg-12 col-md-12';
    $footer_second_column_cls = 'col-xl-3 col-lg-2 col-md-6';
    $footer_third_column_cls = 'col-xl-3 col-lg-2 col-md-6';

} elseif ($footer_column_setting == 2) {
    $footer_first_column_cls = 'col-xl-6 col-lg-12 col-md-12';
    $footer_second_column_cls = 'col-xl-6 col-lg-2 col-md-6'; 

} elseif ($footer_column_setting == 1) {
    $footer_first_column_cls = 'col-lg-12 col-md-12 grid-1';
}

$show_1st_column=get_theme_mod('footer_show_1st_column_setting','section');
$show_2nd_column=get_theme_mod('footer_show_2nd_column_setting','section');
$show_3rd_column=get_theme_mod('footer_show_3rd_column_setting','section');
$show_4th_column=get_theme_mod('footer_show_4th_column_setting','section');
$show_5th_column=get_theme_mod('footer_show_5th_column_setting','section');
?>

<!-- Start Footer -->
<footer id="fs-main-footer" class="fs-footer" style="background-image: url(<?php echo esc_url($bg_image); ?>);">
    <div class="container">
        <!-- Start Newsletter -->
        <div class="row fs-newsletter-inner">
            <div class="col-xl-8 col-lg-8 col-md-10 mx-auto">
                <div class="fs-newsletter text-center">
                    <h2 class="fs-title fs-newsletter-title">
                        <?php echo get_theme_mod( 'footer_newsletter-title', 'Our Newsletter'); ?>
                    </h2>
                    <?php echo do_shortcode(get_theme_mod('newsletter_shortcode','Add Mailchimp Here')); ?>
                </div>
            </div>
        </div> <!-- End Newsletter -->
        <div class="row fs-footer-top"><?php

            for ($i=1; $i <= $footer_column_setting; $i++) {

                if ($show_1st_column == 'section' && $i == 1 ) {
                    echo '<div class="'.$footer_first_column_cls.' footer-widget">';
                    get_template_part('template-parts/footer/footer_section_'.$i);
                    echo '</div>';
                } elseif ($show_1st_column == 'sidebar' && $i == 1 ) {
                    echo '<div class="'.$footer_first_column_cls.' footer-widget"><ul>';
                    dynamic_sidebar( 'aztecs_sidebar_'.$i );
                    echo '</ul></div>';
                }
                if ($show_2nd_column == 'section' && $i == 2 ) {
                    echo '<div class="'.$footer_second_column_cls.'">';
                    get_template_part('template-parts/footer/footer_section_'.$i);
                    echo '</div>';
                } elseif ($show_2nd_column == 'sidebar' && $i == 2 ) {
                    echo '<div class="'.$footer_second_column_cls.'"><ul>';
                    dynamic_sidebar( 'aztecs_sidebar_'.$i );
                    echo '</ul></div>';
                }
                if($show_3rd_column == 'section' && $i == 3 ) {
                    echo '<div class="'.$footer_third_column_cls.'">';
                    get_template_part('template-parts/footer/footer_section_'.$i);
                    echo '</div>';
                } elseif ($show_3rd_column == 'sidebar' && $i == 3 ) {
                    echo '<div class="'.$footer_third_column_cls.'"><ul>';
                    dynamic_sidebar( 'aztecs_sidebar_'.$i );
                    echo '</ul></div>';
                }
                if($show_4th_column == 'section' && $i == 4 ) {
                    echo '<div class="'.$footer_fourth_column_cls.'">';
                    get_template_part('template-parts/footer/footer_section_'.$i);
                    echo '</div>';
                } elseif ($show_4th_column == 'sidebar' && $i == 4 ) {
                    echo '<div class="'.$footer_fourth_column_cls.'"><ul>';
                    dynamic_sidebar( 'aztecs_sidebar_'.$i );
                    echo '</ul></div>';
                }
                if($show_5th_column == 'section' && $i == 5 ) {
                    echo '<div class="'.$footer_fifth_column_cls.'">';
                    get_template_part('template-parts/footer/footer_section_'.$i);
                    echo '</div>';
                } elseif ($show_5th_column == 'sidebar' && $i == 5 ) {
                    echo '<div class="'.$footer_fifth_column_cls.' contactwidget"><ul>';
                    dynamic_sidebar( 'aztecs_sidebar_'.$i );
                    echo '</ul></div>';
                }
 
            } ?>
        </div>
        <hr class="footer-line-2">
        <div class="row fs-copyright">
            <div class="col-lg-8 col-md-8 col-sm-6 copyright-content  section-title">
                <p class="text-left">
                    <?php 
                        $current_year = date("Y");
                        $copyright_text = get_theme_mod( 'copyright_text_setting','2020 Business. All Rights Reserved.') ;
                        echo str_replace('{year}', $current_year, $copyright_text);
                    ?>  
                </p>
            </div>
            <?php 
            if(get_theme_mod( 'show_social_icon_settings', 'show')=='show'){ ?> 
                <div class="col-lg-4 col-md-4 col-sm-6 text-right">
                    <div class="fs-social-media social-media-effect"> 
                         
                        <?php if(get_theme_mod('fb_link_setting1',"#.")) { ?>
                        <a class="btn bg-orange text-orange light-heading" 
                            href="<?php echo esc_url(get_theme_mod('fb_link_setting1',"#.")); ?>" 
                            target="_blank">
                            <i class="fab fa-facebook-f"></i>
                        </a>

                        <?php } if(get_theme_mod('twitter_link_setting1',"#.")) { ?>
                        <a class="btn bg-orange text-orange light-heading" 
                            href="<?php echo esc_url(get_theme_mod('twitter_link_setting1',"#.")); ?>"
                            target="_blank">
                            <i class="fab fa-twitter"></i>
                        </a>

                        <?php } if(get_theme_mod('pinterest_link_setting1',"#.")) { ?>   
                        <a class="btn bg-orange text-orange light-heading" 
                            href="<?php echo esc_url(get_theme_mod('pinterest_link_setting1',"#.")); ?>" 
                             target="_blank">
                            <i class="fab fa-pinterest-p"></i>
                        </a>

                        <?php } if(get_theme_mod('linked_in_setting1',"#.")) { ?>
                        <a class="btn bg-orange text-orange light-heading" 
                            href="<?php echo esc_url(get_theme_mod('linked_in_setting1',"#.")); ?>" 
                             target="_blank">
                            <i class="fab fa-linkedin-in"></i>
                        </a>

                        <?php } if(get_theme_mod('instagram_setting1',"#.")) { ?>
                        <a class="btn bg-orange text-orange light-heading" 
                        href="<?php echo esc_url(get_theme_mod('instagram_setting1',"#.")); ?>" 
                         target="_blank">
                            <i class="fab fa-instagram"></i>
                        </a>
                        <?php } ?>
                    

                    </div>
                </div><?php
            } ?>
        </div>
    </div>
</footer>
<!-- End Footer -->

<!-- Start BackToTop Scroll -->
<a href="#." class="fs-back-to-top text-orange"><i class="fas fa-long-arrow-alt-up"></i></a>
<!-- End BackToTop Scroll -->
</main>

<?php wp_footer(); ?>
</body>
</html>