<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

if(class_exists( 'WP_Customize_Control')) {
    class Aztecs_Select_Box_Control extends WP_Customize_Control {
        /**
         * Choices/options for the select dropdown.
         *
         * @var array
         */
        public $choices = array();

        /**
         * HTML Attributes to add to the <select> tag
         *
         * @var array
         */
        public $input_attrs = array();

        public $type = 'select_box';

        public function input_attrs() {
            foreach ($this->input_attrs as $attr => $value) {
                echo $attr . '="' . esc_attr($value) . '" ';
            }
        }

        public function render_content() {
            $id = $this->id;
            if (!empty($this->label)) { ?>
                <span class="customize-control-title"><?php echo esc_html($this->label); ?></span>
            <?php } ?>

            <input id="<?php echo $this->id ?>-link" class="fst-select-field" type="hidden" <?php $this->link(); ?> value="">

            <select id="<?php echo $id; ?>" <?php $this->link(); ?> <?php $this->input_attrs(); ?> >
                <?php
                foreach ($this->choices as $value => $label)
                    echo '<option value="' . esc_attr($value) . '"' . selected($this->value(), $value, false) . '>' . $label . '</option>';
                ?>
            </select>
            
            <?php if (!empty($this->description)) { ?>
            <span class="description customize-control-description"><?php echo $this->description; ?></span>
            <?php }
        }
    }
}