<?php
function aztecs_customizer_css() {
    $font_family = "Hind";
    $menu_text_font_family_setting = "Hind";
    $font_weight = "initial";
    $font_style = "normal";
    $primary_bg_color1_setting = get_theme_mod("primary_bg_color1_setting",'#00d9a6');
    $primary_bg_color2_setting = get_theme_mod("primary_bg_color2_setting",'#9be15d');
    $primary_boxshadow_setting = get_theme_mod("primary_color_setting",'rgba(0, 217, 166, 0.4)');
    ?>
    <style type="text/css">
        /* For Default Paragraph */
        body, .footer-widget p { 
            <?php echo aztecs_theme_mod_settings("color",'paragraph_color_setting',"#656565"); ?>;
            <?php echo aztecs_theme_mod_settings("font-family",'body_font_family_setting',$font_family); ?>;
            <?php echo aztecs_theme_mod_settings("font-size",'body_font_size_setting','15px'); ?>;
            <?php echo aztecs_theme_mod_settings("font-weight",'body_font_weight_setting',$font_weight); ?>; 
            <?php echo aztecs_theme_mod_settings("font-style",'body_font_style_setting',$font_style); ?>; 
        }
        body{<?php echo aztecs_theme_mod_settings('background-color','paragraph_bg_color_setting','#fff'); ?>;}
        body a {  
            <?php echo aztecs_theme_mod_settings("color",'paragraph_color_setting',"#656565"); ?>;
            <?php echo aztecs_theme_mod_settings("font-family",'body_font_family_setting',$font_family); ?>;
            <?php echo aztecs_theme_mod_settings("font-size",'body_font_size_setting','14px'); ?>;
            <?php echo aztecs_theme_mod_settings("font-weight",'body_font_weight_setting',$font_weight); ?>; 
            <?php echo aztecs_theme_mod_settings("font-style",'body_font_style_setting',$font_style); ?>; 
        }

        /* For menus */
        #top-menu li a {
            <?php echo aztecs_theme_mod_settings("color",'menu_text_color_setting',"#1b1b1b"); ?>;
            <?php echo aztecs_theme_mod_settings("font-family",'menu_text_font_family1',$menu_text_font_family_setting); ?>;
            <?php echo aztecs_theme_mod_settings("font-size",'menu_text_font_size_setting','15px'); ?>;
            <?php echo aztecs_theme_mod_settings("font-weight",'menu_font_weight_setting','400'); ?>; 
        }

        /* For tagline */
        .fs-tagline {
            <?php echo aztecs_theme_mod_settings('font-family','heading_font_family_setting',$font_family); ?>;
            <?php echo aztecs_theme_mod_settings('font-weight','heading_font_weight_setting','600'); ?>;
            <?php echo aztecs_theme_mod_settings('color','heading_tagline_color_setting','#a1a1a1'); ?>;
            <?php echo aztecs_theme_mod_settings("font-style",'heading_font_style_setting',$font_style); ?>;
        }

        /* For Section Title */
        section .fs-title, .fs-newsletter-title {
            <?php echo aztecs_theme_mod_settings('font-family','section_heading_font_family_setting',$font_family); ?>;
            <?php echo aztecs_theme_mod_settings('font-weight','section_heading_font_weight_setting','700'); ?>;
            <?php echo aztecs_theme_mod_settings('color','secondary_heading_color_setting','#1b1b1b'); ?>;
            <?php echo aztecs_theme_mod_settings("font-style",'section_heading_font_style_setting',$font_style); ?>;
        }
        .fs-title span.line{
            <?php echo aztecs_theme_mod_settings('background-color','secondary_heading_color_setting','#1b1b1b'); ?>;
        }
        /* For Default H1-H6 */
        h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 { 
            <?php echo aztecs_theme_mod_settings('font-family','heading_font_family_setting',$font_family); ?>;
            <?php echo aztecs_theme_mod_settings('font-weight','heading_font_weight_setting',600); ?>;
            <?php echo aztecs_theme_mod_settings('color','secondary_heading_color_setting','#1b1b1b'); ?>;
            <?php echo aztecs_theme_mod_settings("font-style",'heading_font_style_setting',$font_style); ?>; 
        }
        .h3:hover{<?php echo aztecs_theme_mod_settings('color','secondary_heading_color_setting','#1b1b1b'); ?>;}

        /* ======= Theme color  */
        .navbar-brand:hover, .text-secondary, .text-orange, .theme-button-secondary, .theme-button-primary:hover, .navbarNav.v2-link-color li.dropdown .dropdown-menu a:hover, .fs-back-to-top:hover, .fs-price-wrapper:hover .theme-button-primary, .fs-blog-meta .more, .fs-sidebar .widget a:hover,.slider-heading span,.fs-counter-wrapper .fs-cont h3,.fs-social-media.social-media-effect .btn i,.fs-feedback-responsive .slick-prev:hover:before, .fs-feedback-responsive .slick-next:hover:before,.fs-blog-meta a:hover,.contact-box .box-icon i, #top-menu li.dropdown .dropdown-menu a:hover, .fs-team-info:hover .team-content p, .fs-social-media.social-media-effect .btn, .fs-blog-meta a:hover,#top-menu li.dropdown .dropdown-menu a:hover,.title i,.price h4,body a .site-name{
            <?php echo aztecs_theme_mod_settings('color','primary_color_setting','#00d9a6'); ?>;
        }
        .fs-team-info:hover,.border-secondary,.theme-button-secondary,.theme-button-primary:hover,#top-menu li.dropdown .dropdown-menu a:hover,.fs-team-info:hover,.fs-feedback-responsive .fs-testimonial-wrapper .fs-thumb-box .image{
            <?php echo aztecs_theme_mod_settings('border-color','primary_color_setting','#00d9a6'); ?>;
        }
        .fs-feedback span,.fs-blog-date,.helpfull-links h5::after, .fs-pages-link h5::after, .recent-posts h5::after, footer .widgettitle::after,.bg-secondary,.slick-dots li.slick-active button:before,.fs-feedback span,.fs-single-post-date,.fs-sidebar .footer-social > li > a > i,.modal-header,.fs-slideshow-carousel .owl-dots .owl-dot.active span{
            <?php echo aztecs_theme_mod_settings('background-color','primary_color_setting','#00d9a6'); ?>;
        }
        .fs-feature-col:hover,.fs-price-wrapper:hover,.fs-feedback.fs-heading span{
            box-shadow: 0 2px 13px 2px <?php echo $primary_boxshadow_setting; ?>;
        }
        .fs-wrapper-image.fs-bg-color .rectangle,.fs-service-hover:hover,.fs-social-media.social-media-effect .btn:hover,.fs-price-wrapper:hover{
            background-image: linear-gradient(39deg, <?php echo $primary_bg_color1_setting; ?> 0%, <?php echo $primary_bg_color2_setting; ?> 100%);
        }

        .fs-social-media.social-media-effect .btn:hover {
             background-image: linear-gradient(-45deg, <?php echo $primary_bg_color1_setting; ?> 0%, <?php echo $primary_bg_color2_setting; ?> 100%);
        }
        /* For Primary button */
        .theme-button-primary,.form-submit .submit {
            <?php echo aztecs_theme_mod_settings('font-family','btn_font_family_setting',$font_family);?>;
            <?php echo aztecs_theme_mod_settings('font-size','btn_font_size_setting','15px'); ?>;
            <?php echo aztecs_theme_mod_settings('font-weight','btn_font_weight_setting','600');?>;
            <?php echo aztecs_theme_mod_settings("font-style",'btn_font_style_setting',$font_style); ?>; 

            <?php echo aztecs_theme_mod_settings("color",'btn_primary_color_setting','#fff'); ?>;
            <?php echo aztecs_theme_mod_settings("border-color",'btn_primary_border_color_setting','#00d9a6'); ?>;
        }
        .searchform input[type=submit],.searchform input[type=submit]:hover{
            <?php echo aztecs_theme_mod_settings("color",'btn_primary_color_setting','#fff'); ?>;
            <?php echo aztecs_theme_mod_settings("border-color",'btn_primary_border_color_setting','#00d9a6'); ?>;
        }
        .theme-button-primary:hover, .theme-button-primary:focus, .theme-button-primary:active,.form-submit .submit:hover { 
            <?php echo aztecs_theme_mod_settings("background",'btn_primary_bg_hover_color_setting','#fff'); ?>;
            <?php echo aztecs_theme_mod_settings("color",'btn_primary_hover_color_setting','#00d9a6'); ?>;
            <?php echo aztecs_theme_mod_settings("border-color",'btn_primary_border_hover_color_setting','#00d9a6'); ?>;
        }
        

        /* For Secondary button */
        .theme-button-secondary {
            <?php echo aztecs_theme_mod_settings("background-color",'btn_sec_bg_color_setting','#1a56d2'); ?>;
            <?php echo aztecs_theme_mod_settings("color",'btn_sec_color_setting','#fff'); ?>;
            <?php echo aztecs_theme_mod_settings("border-color",'btn_sec_border_color_setting','#1a56d2'); ?>;
        }
        .theme-button-secondary:hover, .theme-button-secondary:focus, .theme-button-secondary:active {
            <?php echo aztecs_theme_mod_settings("background-color",'btn_sec_bg_hover_color_setting','#00d9a6'); ?>;
            <?php echo aztecs_theme_mod_settings("color",'btn_sec_hover_color_setting','#fff'); ?>;
            <?php echo aztecs_theme_mod_settings("border-color",'btn_sec_border_hover_color_setting','#00d9a6'); ?>;
        }

        /* For Footer */
        .fs-footer {
           <?php echo aztecs_theme_mod_settings('background-color','footer_bg_color_setting','rgba(0,0,0,0.01)'); ?>;
        }

        /* For footer copyright section */
        .copyright-content p, .copyright-design, .copyright-content.text-light {
            <?php echo aztecs_theme_mod_settings('color','copyright_text_color_setting','#5f6e7b'); ?>;
        } 
        /* For Top active menu*/
        #top-menu li.current_page_item>a, .fs-menu li ul.sub-menu li.current_page_item a, #top-menu>li.current_page_item>.arrow:after,.fixed-top.scrolled .v2-link-color .nav-link:hover{
            <?php echo aztecs_theme_mod_settings('color','active_menu_text_color_setting','#00d9a6'); ?>;
        }
       #top-menu li a:hover, #top-menu li:hover>.arrow:after{
            <?php echo aztecs_theme_mod_settings('color','menu_text_hover_color_setting','#00d9a6'); ?>;
        }

        /* For Header Typography */
        .fs-custom-nav {
            <?php echo aztecs_theme_mod_settings('background-color','header_bg_color_setting','rgba(255, 255, 255, 0)'); ?>;
        }
        .fs-banner-inner{
            <?php echo aztecs_theme_mod_settings('background-color','banner_bg_color_setting','#d3f3e9'); ?>;
        }

        /* For Top Bar */
        .fs-top-bar {
            <?php echo aztecs_theme_mod_settings('background-color','top_bar_bg_color_setting','#eeeeee'); ?>;
            <?php echo aztecs_theme_mod_settings('color','top_bar_text_color_setting','#1c1c1c'); ?>;
        }
        .fs-top-bar ul li a {
            <?php echo aztecs_theme_mod_settings('color','top_bar_text_color_setting','#1c1c1c'); ?>;
        }
        .fs-top-bar ul li i {
            <?php echo aztecs_theme_mod_settings('color','top_bar_icon_color_setting','#ffa900'); ?>;
        }
        


        /* For Footer Typography */
  
        .fs-footer-inner * {
            <?php echo aztecs_theme_mod_settings('color','footer_text_color_setting','#fff'); ?>;
        }

    </style>

    <style type="text/css">
        /* For Slider */
        .fst_section_home_section_1 {
            background-color: <?php echo aztecs_get_section_setting_val('section_1','slider_bg_color','','#fff'); ?>;
        }
        /* features section */
        .fst_section_home_section_2 {
            background-color: <?php echo aztecs_get_section_setting_val('section_2','features_bg_color','','#fff'); ?>;
        }
       
        /* About US */
        .fst_section_home_section_3 {
            background-color: <?php echo aztecs_get_section_setting_val('section_3','about_bg_color','','#fff'); ?>;
        } 

        /* counter */
        .fs-counter {
             background-color: <?php echo aztecs_get_section_setting_val('section_4','counter_bg_color','','#fff'); ?>; 
        } 
        .fs-counter .fs-counter-wrapper{
             background-color: <?php echo aztecs_get_section_setting_val('section_4','counter_box_bg_color','','#fff'); ?>; 
        }
        
        /* Team */
        .fs-team-info {
            border: 1px solid <?php echo aztecs_get_section_setting_val('section_6','team_border_color','','#e7e7e7'); ?>;
        }
        
      
        .fs-feedback.fs-heading span {
            color: <?php echo aztecs_get_section_setting_val('section_7','testimonial_item_blockquote_color','','#fff'); ?>;
        }
        /* pricing table */
        
         .fs-price-wrapper:hover .theme-button-primary {
            background: linear-gradient(-45deg, <?php echo aztecs_get_section_setting_val('section_8','pricing_box_btn_bg_hover_color','','#fff'); ?>, <?php echo aztecs_get_section_setting_val('section_8','pricing_box_btn_bg_hover_color','','#fff'); ?>);
            color: <?php echo aztecs_get_section_setting_val('section_8','pricing_box_btn_hover_color','','#00d9a6'); ?>;
            border-color:<?php echo aztecs_get_section_setting_val('section_8','pricing_box_btn_border_hover_color','','#fff'); ?>;;
        } 

  
        /* Call to Action */
        .fst_section_home_section_10 {
            background-color: <?php echo aztecs_get_section_setting_val('section_10','callaction_bg_color','','#fff'); ?>;
        }
        .fs-callaction-wrapper h2 {
            color: <?php echo aztecs_get_section_setting_val('section_10','callaction_text_color','','#fff'); ?>;
        }
    </style>
   
    <?php
    $site_layout_setting    = get_theme_mod('site_layout_setting');
    if ($site_layout_setting == 'site_boxed') {
        $width = get_theme_mod('site_layout_width_setting','1170');
        ?>
        <style type="text/css">
            .fudutheme-body,.navbar {
               max-width:100%;
               width:<?php echo $width; ?>px;
               margin:0 auto;
            }
        </style>
    <?php }

    $color_option = get_theme_mod("button_color_option",'gradient');
    if ($color_option == 'normal') {
        ?>
        <style type="text/css">
            .theme-button-primary,.form-submit .submit {
                <?php echo aztecs_theme_mod_settings("background-color",'btn_primary_bg_normal_color_setting','#00d9a6'); ?>;
        }
        </style>
        <?php
    } else {
        $color1 = get_theme_mod("btn_primary_bg_color1_setting",'#00d9a6');
        $color2 = get_theme_mod("btn_primary_bg_color2_setting",'#9be15d');
        ?>
        <style type="text/css">
            .theme-button-primary,.form-submit .submit,.searchform input[type=submit],.searchform input[type=submit]:hover {
                background: linear-gradient(39deg, <?php echo $color1; ?> 0%, <?php echo $color2; ?> 100%);
            }
        </style>
        <?php
    }
}
add_action( 'wp_head', 'aztecs_customizer_css');