<?php
    $font_weight_choices = array(
                                '100'     => __('100', 'aztecs'), 
                                '200'     => __('200', 'aztecs'), 
                                '300'     => __('300', 'aztecs'), 
                                '400'     => __('400', 'aztecs'),
                                '500'     => __('500', 'aztecs'), 
                                '600'     => __('600', 'aztecs'), 
                                '700'     => __('700', 'aztecs'), 
                                '800'     => __('800', 'aztecs'),  
                                '900'     => __('900', 'aztecs'),  
                                'bold'    => __('Bold', 'aztecs'),  
                                'bolder'  => __('Bolder', 'aztecs'),  
                                'inherit' => __('inherit', 'aztecs'),  
                                'initial' => __('Initial', 'aztecs'),  
                                'lighter' => __('Lighter', 'aztecs'), 
                                'normal'  => __('Normal', 'aztecs'),  
                                'unset'   => __('Unset', 'aztecs'),
                            );

    $font_style_arr = array(
                            'normal' => 'Normal',
                            'italic' => 'Italic',
                            'oblique'=> 'Oblique',
                        );

    /* == Typography Setting == */
    $wp_customize->add_section('body_section',array(
        'title'=>__('Body', 'aztecs' ),
        'priority'=>3,
        'panel'=>'typography_panel',
    ));
    /* Default Paragraph setting */
    $wp_customize->add_setting( 'body_font_family_setting', array(
        'type' => 'theme_mod',
        'default' => 'Hind',
        'sanitize_callback' => 'sanitize_text_field',
    ) );
    $wp_customize->add_control('body_text_font_family', array(
        'type' => 'select',
        'label' => __('Font Family','aztecs'),
        'section' => 'body_section',
        'settings' => 'body_font_family_setting',
        'choices' => aztecs_customizer_library_get_font_choices()
    ) );
    $wp_customize->add_setting('body_font_size_setting',array(
        'default'=>__('15px', 'aztecs' ),
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('body_font_size',array(
        'label'=>__( 'Font Size', 'aztecs' ),
        'type'=>'text',
        'section'=>'body_section',
        'settings'=>'body_font_size_setting',
    ));
    $wp_customize->add_setting('body_font_weight_setting',array(
        'default'=>__('400', 'aztecs' ),
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('body_font_weight',array(
        'label'=>__( 'Font Weight', 'aztecs' ),
        'section'=>'body_section',
        'settings'=>'body_font_weight_setting',
        'type'    => 'select',
        'choices'  => $font_weight_choices
        )
    );
    $wp_customize->add_setting('body_font_style_setting',array(
        'default'=>__('normal', 'aztecs' ),
       'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('body_font_style_setting',array(
        'label'=>__( 'Font Style', 'aztecs' ),
        'section'=>'body_section',
        'settings'=>'body_font_style_setting',
        'type'    => 'select',
        'choices'  => $font_style_arr
        )
    );


    /* Default Headings */
    $wp_customize->add_section('heading_section',array(
        'title'=>__('Heading', 'aztecs' ),
        'priority'=>3,
        'panel'=>'typography_panel',
    ));
    $wp_customize->add_setting( 'heading_font_family_setting', array(
        'type' => 'theme_mod',
        'default' => 'Hind',
        'sanitize_callback' => 'sanitize_text_field',
    ) );
    $wp_customize->add_control('heading_font_family_setting', array(
        'type' => 'select',
        'label' => __('Font Family','aztecs'),
        'section' => 'heading_section',
        'settings' => 'heading_font_family_setting',
        'choices' => aztecs_customizer_library_get_font_choices()
    ) );
    $wp_customize->add_setting('heading_font_weight_setting',array(
        'default'=>__('600', 'aztecs' ),
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('heading_font_weight',array(
        'label'=>__( 'Font Weight', 'aztecs' ),
        'section'=>'heading_section',
        'settings'=>'heading_font_weight_setting',
        'type'    => 'select',
        'choices'  => $font_weight_choices
        )
    );
    $wp_customize->add_setting('heading_font_style_setting',array(
        'default'=>__('normal', 'aztecs' ),
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('heading_font_style_setting',array(
        'label'=>__( 'Font Style', 'aztecs' ),
        'section'=>'heading_section',
        'settings'=>'heading_font_style_setting',
        'type'    => 'select',
        'choices'  => $font_style_arr
        )
    );

    /* For Section Heading */

    $wp_customize->add_setting( 'section_heading_font_family_setting', array(
        'type' => 'theme_mod',
        'default' => 'Hind',
        'sanitize_callback' => 'sanitize_text_field',
    ) );
    $wp_customize->add_control('section_heading_font_family_setting', array(
        'type' => 'select',
        'label' => __('Section Font Family','aztecs'),
        'section' => 'heading_section',
        'settings' => 'section_heading_font_family_setting',
        'choices' => aztecs_customizer_library_get_font_choices()
    ) );
    $wp_customize->add_setting('section_heading_font_weight_setting',array(
        'default'=>__('600', 'aztecs' ),
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('section_heading_font_weight',array(
        'label'=>__( 'Section Font Weight', 'aztecs' ),
        'section'=>'heading_section',
        'settings'=>'section_heading_font_weight_setting',
        'type'    => 'select',
        'choices'  => $font_weight_choices
        )
    );
    $wp_customize->add_setting('section_heading_font_style_setting',array(
        'default'=>__('normal', 'aztecs' ),
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('section_heading_font_style_setting',array(
        'label'=>__( 'Section Font Style', 'aztecs' ),
        'section'=>'heading_section',
        'settings'=>'section_heading_font_style_setting',
        'type'    => 'select',
        'choices'  => $font_style_arr
        )
    );


    /* For Button */
    $wp_customize->add_section('button_section',array(
        'title'=>__('Button', 'aztecs' ),
        'priority'=>3,
        'panel'=>'typography_panel',
    ));
    $wp_customize->add_setting( 'btn_font_family_setting', array(
        'type' => 'theme_mod',
        'default' => 'Hind',
        'sanitize_callback' => 'sanitize_text_field',
    ) );
    $wp_customize->add_control('btn_font_family', array(
        'type' => 'select',
        'label' => __('Font Family','aztecs'),
        'section' => 'button_section',
        'settings' => 'btn_font_family_setting',
        'choices' => aztecs_customizer_library_get_font_choices()
    ) );
    $wp_customize->add_setting('btn_font_size_setting',array(
        'default'=>__('15px', 'aztecs' ),
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('btn_font_size',array(
        'label'=>__( 'Font Size', 'aztecs' ),
        'type'=>'text',
        'section'=>'button_section',
        'settings'=>'btn_font_size_setting',
    ));
    $wp_customize->add_setting('btn_font_weight_setting',array(
        'default'=>__('600', 'aztecs' ),
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('btn_font_weight',array(
        'label'=>__( 'Font Weight', 'aztecs' ),
        'section'=>'button_section',
        'settings'=>'btn_font_weight_setting',
        'type'    => 'select',
        'choices'  => $font_weight_choices
        )
    );
    $wp_customize->add_setting('btn_font_style_setting',array(
        'default'=>__('normal', 'aztecs' ),
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('btn_font_style_setting',array(
        'label'=>__( 'Font Style', 'aztecs' ),
        'section'=>'button_section',
        'settings'=>'btn_font_style_setting',
        'type'    => 'select',
        'choices'  => $font_style_arr
        )
    );

    /* For Theme Color */
    $wp_customize->add_section('body_color_section',array(
        'title'=>__('Body', 'aztecs' ),
        'priority'=>2,
        'panel'=>'color_panel',
    ));
    $wp_customize->add_setting('paragraph_bg_color_setting',array(
        'default'=>'rgba(255, 255, 255, 0)',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'paragraph_bg_color_setting', array(
        'label'      => __( 'Background Color', 'aztecs' ),
        'section'    => 'body_color_section',
        'settings'   => 'paragraph_bg_color_setting',
    ) ) );
    $wp_customize->add_setting('paragraph_color_setting',array(
        'default'=>'#5f6e7b',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'paragraph_color_setting', array(
        'label'      => __( 'Color', 'aztecs' ),
        'section'    => 'body_color_section',
        'settings'   => 'paragraph_color_setting',
    ) ) );

    $wp_customize->add_section('theme_color_section',array(
        'title'=>__('Theme', 'aztecs' ),
        'priority'=>2,
        'panel'=>'color_panel',
    ));
    $wp_customize->add_setting('primary_color_setting',array(
        'default'=>'#00d9a6',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'primary_color_setting', array(
        'label'      => __( 'Primary', 'aztecs' ),
        'section'    => 'theme_color_section',
        'settings'   => 'primary_color_setting',
    ) ) );
    $wp_customize->add_setting('secondary_heading_color_setting',array(
        'default'=>'#1b1b1b',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'secondary_heading_color_setting', array(
        'label'      => __( 'Secondary (optional)', 'aztecs' ),
        'section'    => 'theme_color_section',
        'settings'   => 'secondary_heading_color_setting',
    ) ) );
    $wp_customize->add_setting('heading_tagline_color_setting',array(
        'default'=>'#a1a1a1',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'heading_tagline_color_setting', array(
        'label'      => __( 'Tagline', 'aztecs' ),
        'section'    => 'theme_color_section',
        'settings'   => 'heading_tagline_color_setting',
    ) ) );
    $wp_customize->add_setting('primary_bg_color1_setting',array(
        'default'=>'#00d9a6',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'primary_bg_color1_setting', array(
        'label'      => __( 'Gradient Color #1', 'aztecs' ),
        'section'    => 'theme_color_section',
        'settings'   => 'primary_bg_color1_setting',
    ) ) );
    $wp_customize->add_setting('primary_bg_color2_setting',array(
        'default'=>'#9be15d',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'primary_bg_color2_setting', array(
        'label'      => __( 'Gradient Color #2', 'aztecs' ),
        'section'    => 'theme_color_section',
        'settings'   => 'primary_bg_color2_setting',
    ) ) );
    

    $wp_customize->add_section('button_color_section',array(
        'title'=>__('Buttons', 'aztecs' ),
        'priority'=>2,
        'panel'=>'color_panel',
    ));

    $wp_customize->add_setting('button_color_option', array(
        'type'              => 'theme_mod',
        'default'           => 'gradient',
        'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control('button_color_option',array(
        'type'      => 'select',
        'label'     => esc_html__( 'Color Option', 'aztecs' ),
        'section'   => 'button_color_section',
        'settings'  => 'button_color_option',
        'choices'   => array(
                        'gradient'   => __('Gradient', 'aztecs'), 
                        'normal'     => __('Normal', 'aztecs'), 
                    )
    ) );
    $wp_customize->add_setting('btn_primary_bg_color1_setting',array(
        'default'=>'#00d9a6',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'btn_primary_bg_color1_setting', array(
        'label'      => __( 'Gradient Color #1', 'aztecs' ),
        'section'    => 'button_color_section',
        'settings'   => 'btn_primary_bg_color1_setting',
    ) ) );
    $wp_customize->add_setting('btn_primary_bg_color2_setting',array(
        'default'=>'#9be15d',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'btn_primary_bg_color2_setting', array(
        'label'      => __( 'Gradient Color #2', 'aztecs' ),
        'section'    => 'button_color_section',
        'settings'   => 'btn_primary_bg_color2_setting',
    ) ) );
    $wp_customize->add_setting('btn_primary_bg_normal_color_setting',array(
        'default'=>'#00d9a6',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'btn_primary_bg_normal_color_setting', array(
        'label'      => __( 'Normal Color', 'aztecs' ),
        'section'    => 'button_color_section',
        'settings'   => 'btn_primary_bg_normal_color_setting',
    ) ) );

    $wp_customize->add_setting('btn_primary_color_setting',array(
        'default'=>'#fff',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'btn_primary_color_setting', array(
        'label'      => __( 'Color', 'aztecs' ),
        'section'    => 'button_color_section',
        'settings'   => 'btn_primary_color_setting',
    ) ) );
    $wp_customize->add_setting('btn_primary_border_color_setting',array(
        'default'=>'#00d9a6',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'btn_primary_border_color_setting', array(
        'label'      => __( 'Border Color', 'aztecs' ),
        'section'    => 'button_color_section',
        'settings'   => 'btn_primary_border_color_setting',
    ) ) );
    $wp_customize->add_setting('btn_primary_bg_hover_color_setting',array(
        'default'=>'#fff',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'btn_primary_bg_hover_color_setting', array(
        'label'      => __( 'Hover Background Color', 'aztecs' ),
        'section'    => 'button_color_section',
        'settings'   => 'btn_primary_bg_hover_color_setting',
    ) ) );
    $wp_customize->add_setting('btn_primary_hover_color_setting',array(
        'default'=>'#00d9a6',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'btn_primary_hover_color_setting', array(
        'label'      => __( 'Hover Color', 'aztecs' ),
        'section'    => 'button_color_section',
        'settings'   => 'btn_primary_hover_color_setting',
    ) ) );
    $wp_customize->add_setting('btn_primary_border_hover_color_setting',array(
        'default'=>'#00d9a6',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
    $wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'btn_primary_border_hover_color_setting', array(
        'label'      => __( 'Hover Border Color', 'aztecs' ),
        'section'    => 'button_color_section',
        'settings'   => 'btn_primary_border_hover_color_setting',
    ) ) );


  