<?php
/* Copyright Section */
$wp_customize->add_section('copyright_section',array(
    'title'=>__('Copyright Section', 'aztecs' ),
    'priority'=>10,
    'panel'=>'footer_panel',
));

/* Copyright Text */
$wp_customize->add_setting('copyright_text_setting',array(
    'default'=>__(' {year} Business. All Rights Reserved', 'aztecs' ),
    'sanitize_callback' =>'wp_kses_post',
));

if (class_exists( 'Aztecs_Customize_tinymce_Control')) {
    $wp_customize->add_control(new Aztecs_Customize_tinymce_Control($wp_customize, 'copyright_text_setting',array(
        'label'=>__( 'Copyright Text (for current year enter {year} )', 'aztecs' ),
        'type'=>'textarea',
        'section'=>'copyright_section',
        'settings'=>'copyright_text_setting',
    ) ) );
}

/* Copyright Text Color */
$wp_customize->add_setting('copyright_text_color_setting',array(
    'default'=>'#5f6e7b',
    'sanitize_callback' =>'sanitize_text_field' ,
));

$wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'copyright_text_color', array(
    'label'      => __( 'Copyright Text Color', 'aztecs' ),
    'section'    => 'copyright_section',
    'settings'   => 'copyright_text_color_setting',
) ) );

/* social icons */
$wp_customize->add_setting('show_social_icon_settings', array(
        'type'              => 'theme_mod',
        'default'           => 'show',
        'sanitize_callback' => 'sanitize_key',
    )
);
$wp_customize->add_control(new Aztecs_Select_Box_Control( $wp_customize, 'show_social_icon_settings',array(
    'label'     => esc_html__( 'Social Icon', 'aztecs' ),
    'description'=> esc_html__( 'Its only applicable when Social Icon Show By <b>Section</b>.', 'aztecs' ),
    'section'   => 'copyright_section',
    'settings'  => 'show_social_icon_settings',
    'input_attrs' => array( 'hideshow' => 'true' ),
    'choices'   => array(
        'show'  => __('Show', 'aztecs'), 
        'hide'  => __('Hide', 'aztecs'), 
    )
)
) );

$wp_customize->add_setting('social_icon_font_size_setting',array(
    'default'=>'15px',
    'sanitize_callback' =>'sanitize_text_field',
));
$wp_customize->add_control('social_icon_font_size_setting',array(
    'label'         => __( 'Social icon font size', 'aztecs' ),
    'section'       => 'copyright_section',
    'settings'      => 'social_icon_font_size_setting',
));
$wp_customize->add_setting('fb_link_setting1',array(
    'default'=>__('#.', 'aztecs' ),
    'sanitize_callback' =>'sanitize_text_field',
));
$wp_customize->add_control('fb_link_setting1',array(
    'label'         => __( 'Facebook Url', 'aztecs' ),
    'section'       => 'copyright_section',
    'settings'      => 'fb_link_setting1',
));
$wp_customize->add_setting('twitter_link_setting1',array(
    'default'=>__('#.', 'aztecs' ),
    'sanitize_callback' =>'sanitize_text_field',
));
$wp_customize->add_control('twitter_link_setting1',array(
    'label'         => __( 'Twitter Url', 'aztecs' ),
    'section'       => 'copyright_section',
    'settings'      => 'twitter_link_setting1',
));
$wp_customize->add_setting('pinterest_link_setting1',array(
    'default'=>__('#.', 'aztecs' ),
    'sanitize_callback' =>'sanitize_text_field',
));
$wp_customize->add_control('pinterest_link_setting1',array(
    'label'         => __( 'Pinterest Url', 'aztecs' ),
    'section'       => 'copyright_section',
    'settings'      => 'pinterest_link_setting1',
));
$wp_customize->add_setting('linked_in_setting1',array(
    'default'=>__('#.', 'aztecs' ),
    'sanitize_callback' =>'sanitize_text_field',
));
$wp_customize->add_control('linked_in_setting1',array(
    'label'         => __( 'Linked In Url', 'aztecs' ),
    'section'       => 'copyright_section',
    'settings'      => 'linked_in_setting1',
));
$wp_customize->add_setting('instagram_setting1',array(
    'default'=>__('#.', 'aztecs' ),
    'sanitize_callback' =>'sanitize_text_field',
));
$wp_customize->add_control('instagram_setting1',array(
    'label'         => __( 'Instagram Url', 'aztecs' ),
    'section'       => 'copyright_section',
    'settings'      => 'instagram_setting1',
)); 

/* Footer Typography Section */
$wp_customize->add_section('fst_footer_typography_section',array(
    'title'=>__('Footer Typography', 'aztecs' ),
    'priority'=>2,
    'panel'=>'footer_panel',
));

/* Footer column */
$wp_customize->add_setting('footer_newsletter-title',array(
        'default'   => 'Our Newsletter',
        'sanitize_callback' =>'sanitize_text_field',
    ));
$wp_customize->add_control( 'footer_newsletter', array(
    'label'      => __( 'Newsletter Title', 'aztecs' ),
    'section'    => 'fst_footer_typography_section',
    'settings'   => 'footer_newsletter-title',
) );
$wp_customize->add_setting('newsletter_shortcode',array(
        'default'   => 'Add Shortcode Here',
        'sanitize_callback' =>'sanitize_text_field',
    ));
$wp_customize->add_control( 'newsletter_shortcode', array(
    'label'      => __( 'Newsletter Shortcode', 'aztecs' ),
    'section'    => 'fst_footer_typography_section',
    'settings'   => 'newsletter_shortcode',
) );
$wp_customize->add_setting('footer_bgimg_setting',array(
    'default'   =>  get_template_directory_uri().'/assets/images/bg/bg_map.png',
     'sanitize_callback' =>'esc_attr' ,
    ));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'footer_bgimg_setting',
       array(
           'label'      => __( 'Background Image', 'aztecs' ),
           'section'    => 'fst_footer_typography_section',
           'settings'   => 'footer_bgimg_setting',
       )
   )
);
$wp_customize->add_setting('footer_column_setting', array(
        'type'              => 'theme_mod',
        'default'           => '5',
        'sanitize_callback' => 'sanitize_key',
    )
);
$wp_customize->add_control('footer_column',array(
    'type'      => 'select',
    'label'     => esc_html__( 'Select Column', 'aztecs' ),
    'section'   => 'fst_footer_typography_section',
    'settings'  => 'footer_column_setting',
    'choices'   => array(
                    '1'     => __('1', 'aztecs'), 
                    '2'     => __('2', 'aztecs'), 
                    '3'     => __('3', 'aztecs'), 
                    '4'     => __('4', 'aztecs'), 
                    '5'     => __('5', 'aztecs'), 
                )
) );

/* Footer content settings */ 

/** Footer 1st Column Settings **/
$wp_customize->add_setting('footer_show_1st_column_setting', array(
    'default'           => 'section',
    'sanitize_callback' => 'sanitize_key',
)
);
$wp_customize->add_control('footer_show_1st_column',array(
    'type'      => 'radio',
    'label'     => esc_html__( 'Show Column By', 'aztecs' ),
    'section'   => 'fst_footer_typography_section',
    'settings'  => 'footer_show_1st_column_setting',
    'choices'   => array(             
        'section'    => __('Section', 'aztecs'), 
        'sidebar'    => __('Widget Area', 'aztecs'), 
    )
) );

$wp_customize->add_setting('footer_logo',array(
    'default'   => get_template_directory_uri().'/assets/images/icon/logo_4.png',
     'sanitize_callback' =>'esc_attr' ,
    ));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'footer1_img',
       array(
           'label'      => __( 'Footer Logo', 'aztecs' ),
           'section'    => 'fst_footer_typography_section',
           'settings'   => 'footer_logo',
       )
   )
);


$wp_customize->add_setting('footer1_content_setting',array(
    'default'   => __( 'Quisque a justo nec lorem ornare luctus nec sed leo. Nam lobortis odio leo, eu Donec quis nulla justo. Praesent nec dui aliquet, molestie odio non, ullamcorper elit. Maecenas elementum neque ornare varius.' ,'aztecs' ),
     'sanitize_callback' => 'wp_kses_post')
 );
if (class_exists( 'Aztecs_Customize_tinymce_Control')) {
    $wp_customize->add_control(new Aztecs_Customize_tinymce_Control($wp_customize, 'footer1_content_setting', array(
    'label'      => __( 'Content', 'aztecs' ),
    'type'       =>  'textarea',
    'section'    => 'fst_footer_typography_section',
    'settings'   => 'footer1_content_setting',
    ) ) );
}

/** Footer 2nd Column Settings **/
$wp_customize->add_setting('footer_show_2nd_column_setting', array(
    'default'           => 'section',
    'sanitize_callback' => 'sanitize_key',
)
);
$wp_customize->add_control('footer_show_2nd_column_setting',array(
    'type'      => 'radio',
    'label'     => esc_html__( 'Show Column By', 'aztecs' ),
    'section'   => 'fst_footer_typography_section',
    'settings'  => 'footer_show_2nd_column_setting',
    'choices'   => array(             
        'section'    => __('Section', 'aztecs'), 
        'sidebar'    => __('Widget Area', 'aztecs'), 
    )
) );
$wp_customize->add_setting('footer2_title_setting',array(
        'default'   => 'Links',
        'sanitize_callback' =>'sanitize_textarea_field',
    ));
$wp_customize->add_control( 'footer2_title_setting', array(
    'label'      => __( 'Column - 2 Title', 'aztecs' ),
    'description'=> esc_html__('Its only applicable when Show Column By <b>Section</b>.', 'aztecs' ),
    'section'    => 'fst_footer_typography_section',
    'settings'   => 'footer2_title_setting',
) );

/** Footer 3rd Column Settings **/
$wp_customize->add_setting('footer_show_3rd_column_setting', array(
    'default'           => 'section',
    'sanitize_callback' => 'sanitize_key',
)
);
$wp_customize->add_control('footer_show_3rd_column_setting',array(
    'type'      => 'radio',
    'label'     => esc_html__( 'Show Column By', 'aztecs' ),
    'section'   => 'fst_footer_typography_section',
    'settings'  => 'footer_show_3rd_column_setting',
    'choices'   => array(             
        'section'    => __('Section', 'aztecs'), 
        'sidebar'    => __('Widget Area', 'aztecs'), 
    )
) );
$wp_customize->add_setting('footer3_title_setting',array(
        'default'   => 'Pages',
        'sanitize_callback' =>'sanitize_text_field',
    ));
$wp_customize->add_control( 'footer3_title_setting', array(
    'label'      => __( 'Column - 3 Title', 'aztecs' ),
    'description'=> esc_html__('Its only applicable when Show Column By <b>Section</b>.', 'aztecs' ),
    'section'    => 'fst_footer_typography_section',
    'settings'   => 'footer3_title_setting',
) );

/** Footer 4th Column Settings **/
$wp_customize->add_setting('footer_show_4th_column_setting', array(
    'default'           => 'section',
    'sanitize_callback' => 'sanitize_key',
)
);
$wp_customize->add_control('footer_show_4th_column_setting',array(
    'type'      => 'radio',
    'label'     => esc_html__( 'Show Column By', 'aztecs' ),
    'section'   => 'fst_footer_typography_section',
    'settings'  => 'footer_show_4th_column_setting',
    'choices'   => array(             
        'section'    => __('Section', 'aztecs'), 
        'sidebar'    => __('Widget Area', 'aztecs'), 
    )
) );
$wp_customize->add_setting('footer4_title_setting',array(
        'default'   => 'FLICKR WIDGET',
        'sanitize_callback' =>'sanitize_text_field',
));
$wp_customize->add_control( 'footer4_title_setting', array(
    'label'      => __( 'Column - 4 Title', 'aztecs' ),
    'description'=> esc_html__( 'Its only applicable when Show Column By <b>Section</b>.','aztecs' ),
    'section'    => 'fst_footer_typography_section',
    'settings'   => 'footer4_title_setting',
) );

/** Footer 5th Column Settings **/
$wp_customize->add_setting('footer_show_5th_column_setting', array(
    'default'           => 'section',
    'sanitize_callback' => 'sanitize_key',
)
);
$wp_customize->add_control('footer_show_5th_column_setting',array(
    'type'      => 'radio',
    'label'     => esc_html__( 'Show Column By', 'aztecs' ),
    'section'   => 'fst_footer_typography_section',
    'settings'  => 'footer_show_5th_column_setting',
    'choices'   => array(             
        'section'    => __('Section', 'aztecs'), 
        'sidebar'    => __('Widget Area', 'aztecs'), 
    )
) );
$wp_customize->add_setting('footer5_title_setting',array(
        'default'   => 'CONTACT US',
        'sanitize_callback' =>'sanitize_text_field',
    ));
$wp_customize->add_control( 'footer5_title_setting', array(
    'label'      => __( 'Column - 5 Title', 'aztecs' ),
    'description'=> esc_html__( 'Its only applicable when Show Column By <b>Section</b>.','aztecs' ),
    'section'    => 'fst_footer_typography_section',
    'settings'   => 'footer5_title_setting',
) ); 


$wp_customize->add_setting('footer5_first_icon_setting', array(
    'default' => 'fa fa-map-marker-alt',
    'sanitize_callback' => 'sanitize_text_field',
));
if (class_exists( 'Aztecs_Customize_Icons_Control')) {
    $wp_customize->add_control( new Aztecs_Customize_Icons_Control( $wp_customize, 'footer5_first_icon_setting', array(
        'type'          => 'fst_font_icons',                  
        'label'         => esc_html__( '1st Icon', 'aztecs' ),
        'description'   => esc_html__( 'Choose the icon for 1st field', 'aztecs' ),
        'section'       => 'fst_footer_typography_section',
        'setting'       => 'footer5_first_icon_setting',
    ) ) );
}


$wp_customize->add_setting('footer5_address_setting',array(
    'default'   =>'125, Park street aven, Brocklyn, Newyork.',
    'sanitize_callback' =>'sanitize_textarea_field',
));
$wp_customize->add_control( 'footer5_address_setting', array(
    'label'      => __( '1st Content', 'aztecs' ),
    'type'       =>  'textarea',
    'section'    => 'fst_footer_typography_section',
    'settings'   => 'footer5_address_setting',
) );


$wp_customize->add_setting('footer5_second_icon_setting', array(
    'default' => 'fas fa-mobile-alt',
    'sanitize_callback' => 'sanitize_text_field',
));
if (class_exists( 'Aztecs_Customize_Icons_Control')) {
    $wp_customize->add_control( new Aztecs_Customize_Icons_Control( $wp_customize, 'footer5_second_icon_setting', array(
        'type'          => 'fst_font_icons',                  
        'label'         => esc_html__( 'Second Icon', 'aztecs' ),
        'description'   => esc_html__( 'Choose the icon for 1st field', 'aztecs' ),
        'section'       => 'fst_footer_typography_section',
        'setting'       => 'footer5_second_icon_setting',
    ) ) );
}

$wp_customize->add_setting('footer5_phone1_setting',array(
        'default'   => '(+91) 4568749',
        'sanitize_callback' =>'sanitize_text_field',
    ));
$wp_customize->add_control( 'footer5_phone1_setting', array(
    'label'      => __( 'First Content', 'aztecs' ),
    'description'=> esc_html__( 'Its only applicable when Show Column By <b>Section</b>.', 'aztecs' ),
    'section'    => 'fst_footer_typography_section',
    'settings'   => 'footer5_phone1_setting',
) ); 
$wp_customize->add_setting('footer5_phone2_setting',array(
        'default'   => '(+91) 5873687',
        'sanitize_callback' =>'sanitize_text_field',
    ));
$wp_customize->add_control( 'footer5_phone2_setting', array(
    'label'      => __( 'Second Content', 'aztecs' ),
    'description'=> esc_html__( 'Its only applicable when Show Column By <b>Section</b>.', 'aztecs' ),
    'section'    => 'fst_footer_typography_section',
    'settings'   => 'footer5_phone2_setting',
) ); 


$wp_customize->add_setting('footer5_third_icon_setting', array(
    'default' => 'fa fa-envelope-open',
    'sanitize_callback' => 'sanitize_text_field',
        ));
if (class_exists( 'Aztecs_Customize_Icons_Control')) {
    $wp_customize->add_control( new Aztecs_Customize_Icons_Control( $wp_customize, 'footer5_third_icon_setting', array(
        'type'          => 'fst_font_icons',                  
        'label'         => esc_html__( 'Third Icon', 'aztecs' ),
        'description'   => esc_html__( 'Choose the icon for 1st field', 'aztecs' ),
        'section'       => 'fst_footer_typography_section',
        'setting'       => 'footer5_third_icon_setting',
    ) ) );
}

$wp_customize->add_setting('footer5_email1_setting',array(
        'default'   => 'fudugo@gmail.com',
        'sanitize_callback' => 'sanitize_text_field',
    ));
$wp_customize->add_control( 'footer5_email1_setting', array(
    'label'      => __( 'First Content', 'aztecs' ),
    'description'=> esc_html__('Its only applicable when Show Column By <b>Section</b>.', 'aztecs' ),
    'section'    => 'fst_footer_typography_section',
    'settings'   => 'footer5_email1_setting',
) ); 
$wp_customize->add_setting('footer5_email2_setting',array(
        'default'   => 'fudugo@gmail.com',
        'sanitize_callback' => 'sanitize_text_field',
    ));
$wp_customize->add_control( 'footer5_email2_setting', array(
    'label'      => __( 'Second Content', 'aztecs' ),
    'description'=> esc_html__( 'Its only applicable when Show Column By <b>Section</b>.', 'aztecs' ),
    'section'    => 'fst_footer_typography_section',
    'settings'   => 'footer5_email2_setting',
) ); 


/* Footer background color */
$wp_customize->add_setting('footer_bg_color_setting',array(
        'default'   =>'rgba(0,0,0,0)',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
$wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'footer_bg_color_setting', array(
    'label'      => __( 'Background Color', 'aztecs' ),
    'section'    => 'fst_footer_typography_section',
    'settings'   => 'footer_bg_color_setting',
) ) );