<?php
$wp_customize->remove_section( 'background_image' );
/* Header Settings Section */
$wp_customize->add_section('fst_header_setting_section',array(
    'title'=>__('Header Settings', 'aztecs' ),
    'priority'=>1,
    'panel'=>'header_panel',
));
/* For Site Title Settings */
if ($wp_customize->get_control( 'site_icon'  )) {
    $wp_customize->get_control( 'site_icon'  )->section = 'title_tagline';
    $wp_customize->get_control( 'site_icon'  )->priority = 1;                
}
/* End Site Title Settings */
/* Header sticky */
$wp_customize->add_setting('top_bar_sticky_setting', array(
        'type'              => 'theme_mod',
        'default'           => 'yes',
        'sanitize_callback' => 'sanitize_key',
    )
);
$wp_customize->add_control('top_bar_sticky',array(
    'type'      => 'select',
    'label'     => esc_html__( 'Header Sticky', 'aztecs' ),
    'section'   => 'fst_header_setting_section',
    'settings'  => 'top_bar_sticky_setting',
    'choices'   => array(
        'yes'  => __('Yes', 'aztecs'),
        'no' => __('No', 'aztecs'),
    )
) ); 
/* Header background color */
$wp_customize->add_setting('header_bg_color_setting',array(
        'default'   =>'rgba(255, 255, 255, 0)',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
$wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'header_bg_color', array(
    'label'      => __( 'Background Color', 'aztecs' ),
    'section'    => 'fst_header_setting_section',
    'settings'   => 'header_bg_color_setting',
) ) );
/* Banner Color settings */
$wp_customize->add_setting('banner_bg_color_setting',array(
        'default'   =>'#d3f3e9',
        'sanitize_callback' =>'sanitize_text_field' ,
    ));
$wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'banner_bg_color_setting', array(
    'label'      => __( 'Banner Background Color', 'aztecs' ),
    'section'    => 'fst_header_setting_section',
    'settings'   => 'banner_bg_color_setting',
) ) );
/* Header Button */
$wp_customize->add_setting('header_button_label',array(
    'default'=>__('CONTACT US', 'aztecs' ),
     'sanitize_callback' =>'sanitize_text_field',
));
$wp_customize->add_control('header_button_label',array(
    'label'=>__( 'Button Label', 'aztecs' ),
    'type'=>'text',
    'section'=>'fst_header_setting_section',
    'settings'=>'header_button_label',
));
$wp_customize->add_setting('header_button_link_setting',array(
    'default'=>__('#.', 'aztecs' ),
     'sanitize_callback' =>'sanitize_text_field',
));
$wp_customize->add_control('header_button_link_setting',array(
    'label'=>__( 'Button URL', 'aztecs' ),
    'type'=>'text',
    'section'=>'fst_header_setting_section',
    'settings'=>'header_button_link_setting',
));