<?php
$wp_customize->add_section('menu_design_section',array(
    'title'=>__('Menu Design', 'aztecs' ),
    'priority'=>99,
    'panel'=>'nav_menus',
));    

$wp_customize->add_setting('menu_text_color_setting',array(
    'default'=>'#1b1b1b',
    'sanitize_callback' =>'sanitize_text_field' ,
));
$wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'menu_text_color', array(
    'label'      => __( 'Text Color', 'aztecs' ),
    'section'    => 'menu_design_section',
    'settings'   => 'menu_text_color_setting',
) ) );

$wp_customize->add_setting('active_menu_text_color_setting',array(
    'default'=>'#00d9a6',
    'sanitize_callback' =>'sanitize_text_field' ,
));
$wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'active_menu_text_color_setting', array(
    'label'      => __( 'Current Color', 'aztecs' ),
    'section'    => 'menu_design_section',
    'settings'   => 'active_menu_text_color_setting',
) ) );
$wp_customize->add_setting('menu_text_hover_color_setting',array(
    'default'=>'#00d9a6',
    'sanitize_callback' =>'sanitize_text_field' ,
));
$wp_customize->add_control( new Aztecs_Alpha_Color_Control( $wp_customize, 'menu_text_hover_color', array(
    'label'      => __( 'Hover Color', 'aztecs' ),
    'section'    => 'menu_design_section',
    'settings'   => 'menu_text_hover_color_setting',
) ) );
$wp_customize->add_setting( 'menu_text_font_family1', array(
    'type' => 'theme_mod',
    'default' => "Hind",
    'sanitize_callback' =>'sanitize_text_field' ,
) );
$wp_customize->add_control('menu_text_font_family1', array(
    'type' => 'select',
    'label' => __('Font Family','aztecs'),
    'section' => 'menu_design_section',
    'settings' => 'menu_text_font_family1',
    'choices' => aztecs_customizer_library_get_font_choices()
) );
$wp_customize->add_setting('menu_text_font_size_setting',array(
    'default'=>__('15px', 'aztecs' ),
     'sanitize_callback' =>'sanitize_text_field',
));
$wp_customize->add_control('menu_text_font_size',array(
    'label'=>__( 'Font Size', 'aztecs' ),
    'type'=>'text',
    'section'=>'menu_design_section',
    'settings'=>'menu_text_font_size_setting',
));
$wp_customize->add_setting('menu_font_weight_setting',array(
    'default'=>__('400', 'aztecs' ),
    'sanitize_callback' =>'sanitize_text_field' ,
));
$wp_customize->add_control('menu_font_weight',array(
    'label'     => __( 'Font Weight', 'aztecs' ),
    'section'   => 'menu_design_section',
    'settings'  => 'menu_font_weight_setting',
    'type'      => 'select',
    'choices'   => array(
            '100'     => __('100', 'aztecs'), 
            '200'     => __('200', 'aztecs'), 
            '300'     => __('300', 'aztecs'), 
            '400'     => __('400', 'aztecs'),
            '500'     => __('500', 'aztecs'), 
            '600'     => __('600', 'aztecs'), 
            '700'     => __('700', 'aztecs'), 
            '800'     => __('800', 'aztecs'),  
            '900'     => __('900', 'aztecs'),  
            'bold'    => __('Bold', 'aztecs'),  
            'bolder'  => __('Bolder', 'aztecs'),  
            'inherit' => __('inherit', 'aztecs'),  
            'initial' => __('Initial', 'aztecs'),  
            'lighter' => __('Lighter', 'aztecs'), 
            'normal'  => __('Normal', 'aztecs'),  
            'unset'   => __('Unset', 'aztecs'),
        )
    )
);