<?php
/**
 * function for calling dynamic post type function with it's attaributes.
 */
if (!function_exists('aztecs_our_team_box_func') && post_type_exists('our-team')) {
  function aztecs_our_team_box_func($attr) {
    $defaults = array(
                  'team_no_of_record' => '3',
                  'no_of_item' => '3',
                  'show_type' => 'slide',
                );
    $args       = wp_parse_args($attr, $defaults);
    $args_arr   = array( 
                    'post_type' => 'our-team', 
                    'posts_per_page' => $args['team_no_of_record'],  
                    'order' => 'desc' 
                  );
    $fst_teams  = new WP_Query($args_arr);
    $fst_grid_class = '';
    $fst_grid='<div class="row">';
    if($args['show_type'] == 'grid') {   
      if ( $fst_teams->have_posts()) {
          $delay=0.3;
        while ( $fst_teams->have_posts() ) {
          $fst_teams->the_post();
          $fst_designation  = get_post_meta(get_the_ID(),'_fst_designation',true);
          $fst_fb          = esc_url(get_post_meta(get_the_ID(),'_fst_fb',true));
          $fst_twitter     = esc_url(get_post_meta(get_the_ID(),'_fst_twitter',true));
          $github_link     = esc_url(get_post_meta(get_the_ID(),'_github_link',true)); 
          $img             = get_the_post_thumbnail_url();
          $img             = ($img=="") ? get_template_directory_uri().
                            "/fst-framework/fst-customizer/assets/images/default-image.jpg" : $img; 

          if ($fst_designation) {
              $fst_designation = $fst_designation;
            }

          if ($fst_fb) {
            $fst_fb  = '<a class="btn" href="'.esc_url($fst_fb).'" target="_blank">
                          <i class="fab fa-facebook-f" aria-hidden="true"></i>
                        </a>';
          }
          if ($fst_twitter) {
            $fst_twitter = '<a class="btn" href="'.esc_url($fst_twitter).'" target="_blank">
                              <i class="fab fa-twitter" aria-hidden="true"></i>
                            </a>';
          }
          if ($github_link) {
            $github_link = '<a class="btn" href="'.esc_url($github_link).'" target="_blank">
                            <i class="fab fa-github" aria-hidden="true"></i>
                          </a>';
          }

          $column_class = "col-lg-3 col-md-3 mb-4";
          if($args['no_of_item'] == 3) {
            $column_class = "col-lg-4 col-md-4 mb-4";
          } elseif($args['no_of_item'] == 2) {
            $column_class = "col-lg-6 col-md-6 mb-4";
          } elseif($args['no_of_item'] == 1) {
            $column_class = "col-lg-12 col-md-12 mb-4";
          }

          $delay=$delay+0.2;
          ob_start();
          get_template_part('template-parts/addons/ourteam/our-team-grid');
          $fst_our_team_contents = ob_get_clean();
          $replace               = array('{{image}}','{{heading}}','{{content}}','{{designation}}','{{fb_link}}',
                                  '{{twitter_link}}','{{github_link}}','{{column_class}}');
          $to                    = array(esc_url($img),get_the_title(),get_the_content(),$fst_designation,$fst_fb,
                                  $fst_twitter,$github_link,$column_class);
          $fst_grid             .= str_replace($replace,$to, $fst_our_team_contents);
        }    
        wp_reset_query();     
      } else {
          if(is_user_logged_in()) { 
              echo "<a href='".esc_url( home_url( '/' ))."/wp-admin/post-new.php?post_type=our-team' target='_blank'>Click Here</a> to Manage Our Team or <a href='".esc_url( home_url( '/' ))."/wp-admin/themes.php?page=demo-fudutheme&active_tab=import-demo' target='_blank'>Import</a> demo data of theme.";
          }
      }
      $fst_grid.='</div>';
      return $fst_grid;
    } else {
      if ( $fst_teams->have_posts() ) {

        $attr = apply_filters("aztecs_filter_section_fields",$attr);
        
        $fst_slider = "<div class='row'><div class='col-xl'>
                         <div class='fs-team-wrapper'><div class='custom-slider-cls slider-responsive' data-slick ='".json_encode($attr)."'>";

        while ( $fst_teams->have_posts() ) {
          $fst_teams->the_post();
         $fst_designation   = get_post_meta(get_the_ID(),'_fst_designation',true);
          $fst_fb           = esc_url(get_post_meta(get_the_ID(),'_fst_fb',true));
          $fst_twitter      = esc_url(get_post_meta(get_the_ID(),'_fst_twitter',true));
          $github_link      = esc_url(get_post_meta(get_the_ID(),'_github_link',true));
          $img              = get_the_post_thumbnail_url();
          $img              = ($img=="") ? get_template_directory_uri().
                            "/fst-framework/fst-customizer/assets/images/default-image.jpg" : $img; 
          if($fst_designation) {
              $fst_designation = $fst_designation;
            }

          if($fst_fb) {
            $fst_fb = '<a class="btn" href="'.esc_url($fst_fb).'" target="_blank">
                        <i class="fab fa-facebook-f" aria-hidden="true"></i>
                      </a>';
          }
          if($fst_twitter) {
            $fst_twitter = '<a class="btn" href="'.esc_url($fst_twitter).'" target="_blank">
                              <i class="fab fa-twitter" aria-hidden="true"></i>
                            </a>';
          }
          if($github_link) {
            $github_link = '<a class="btn" href="'.esc_url($github_link).'" target="_blank">
                            <i class="fab fa-github" aria-hidden="true"></i>
                          </a>';
          }

          ob_start();
          get_template_part('template-parts/addons/ourteam/our-team');
          $fst_our_team_contents = ob_get_clean();
         $replace                = array('{{image}}','{{heading}}','{{content}}','{{designation}}','{{fb_link}}',
                                  '{{twitter_link}}','{{github_link}}');
          $to                    = array(esc_url($img),get_the_title(),get_the_content(),$fst_designation,
                                    $fst_fb,$fst_twitter,$github_link);

          $fst_slider           .= str_replace($replace,$to, $fst_our_team_contents);
        }   
        wp_reset_query();      
        
        $fst_slider .= '</div></div></div></div>';
        return $fst_slider;
      } else {
          if(is_user_logged_in()) { 
            echo "<a href='".esc_url( home_url( '/' ))."wp-admin/post-new.php?post_type=our-team' target='_blank'>".__('Click Here', 'aztecs')."</a>".__(' to Manage Feature or ', 'aztecs')."<a href='".esc_url( home_url( '/' ))."wp-admin/themes.php?page=demo-fudutheme&active_tab=import-demo' target='_blank'>".__('Import ', 'aztecs')."</a>".__('demo data of theme.', 'aztecs');
          }
      }
    }
  }
}
