<?php
/*
* Fst slider  function
*/
if (!function_exists('aztecs_sliders_func') && post_type_exists('slider')) {
  function aztecs_sliders_func( $atts ) {
    $defaults = array(
                  'btn_show'    => 'yes',
                );
    $atts     = wp_parse_args($atts, $defaults);
    $args     = array(
                'orderby'      => 'meta_value',
                'meta_key'     => '_fst_sort_order', 
                'order'        => 'ASC',              
                'post_type'    => 'slider',
              );
    $fst_slider_results = new WP_Query( $args );
    do_action('before_fst_slider_container');
    $fst_slider = '';
    if ( $fst_slider_results->have_posts() ) {
      $atts = apply_filters("aztecs_filter_section_fields",$atts);
      $fst_slider .= "<div class='fs-slideshow-carousel owl-carousel owl-theme' 
                  data-owl-carousel='".json_encode($atts)."'>";

        while ( $fst_slider_results->have_posts() ) { 

          $fst_slider_results->the_post();
          $fst_desc_alignment = get_post_meta(get_the_ID(),'_fst_desc_alignment',true); //Description alignment
          $fst_slider_link    = get_post_meta(get_the_ID(),'_fst_slider_link',true); // Slider image link, 
          $fst_slider_type    = get_post_meta(get_the_ID(),'_fst_slider_type',true); // Slider types image or video.
          $fst_view_source    = get_post_meta(get_the_ID(),'_fst_view_source',true); // Slider video view source.
          $fst_description    = get_post_meta(get_the_ID(),'_fst_description',true); // Slider image description.
          $fst_tagline        = get_post_meta(get_the_ID(),'_fst_tagline',true);
          $fst_video_id       = get_post_meta(get_the_ID(),'_fst_video_id',true); // Slider video Id's or url.
          $btn_text           = get_post_meta(get_the_ID(),'_fst_slider_btn_text',true);
          $btn_link           = get_post_meta(get_the_ID(),'_fst_slider_btn_link',true);
          $btn_link           = ($btn_link == "") ? "#." : $btn_link;

          ob_start();
          get_template_part('template-parts/addons/slider/slider');
          $fst_slider_contents  = ob_get_clean();

            if($fst_slider_type == 'image') {
              $img          = get_the_post_thumbnail_url();
              $slider_image = ($img == "") ? '' : $img;
              $btn_layout   = "";
              if($btn_text != "" && $atts['btn_show'] == 'yes') {
                $btn_layout = '<a href="'.$btn_link.'" class="theme-button theme-button-primary">'.$btn_text.'</a>';
              } 
              $replace  = array('{{image}}','{{heading}}','{{content}}','{{text_align}}','{{btn_text}}', '{{tagline}}');
              $to = array(esc_url($slider_image),get_the_title(),$fst_description,$fst_desc_alignment, $btn_layout, $fst_tagline );
              $fst_slider  .= str_replace($replace,$to, $fst_slider_contents);
            } 
            else {
              if($fst_view_source == 'youtube') {
                $fst_slider .= '<div class="item-video" data-merge="1">
                                  <a class="owl-video" href="https://www.youtube.com/embed/'.$fst_video_id.'">
                                  </a>
                                </div>';
              }
              elseif($fst_view_source == 'vimeo') {
                 $fst_slider .= '<div class="item-video" data-merge="1">
                                  <a class="owl-video" href="https://player.vimeo.com/video/'.$fst_video_id.'">
                                  </a>
                                </div>';
              }
              else {
                $fst_slider .= '<video autoplay loop muted playslinline uk-cover>
                                  <source src="'.$fst_video_id.'" type="video/ogg">
                                </video>';
              } 
            } 
        }
        wp_reset_query();
      $fst_slider .= '</div>';
    } else {
      if(is_user_logged_in()) {
        echo "<div class='container' style='margin-top: 150px;'><p class='slider-msg'><a href='".esc_url( home_url( '/' ))."wp-admin/post-new.php?post_type=slider' target='_blank'>".__('Click Here', 'aztecs')."</a>".__(' to Manage Slider or ', 'aztecs')."<a href='".esc_url( home_url( '/' ))."wp-admin/themes.php?page=demo-fudutheme&active_tab=import-demo' target='_blank'>".__('Import ', 'aztecs')."</a> ".__('demo data of theme.', 'aztecs')."</p><div>"; 
      }
    }
    do_action('after_fst_slider_container');
    return $fst_slider;
  }
}