<?php
add_filter('aztecs_home_page_sections', 'aztecs_add_section_with_settings');

function aztecs_add_section_with_settings($sections) {
	$sections = array( "section_2" => array('handle' 	=> 'section_2',
						'slug' 		=> 'home_section_2',
						'title' 	=> __('FEATURES', 'aztecs'),
						'icon' 		=> 'nametag',
						'settings'	=>  array(
							'features_bg_color' => array(
								'type' 		   => 'color',
								'id' 		   => 'features_bg_color',
								'default' 	   => '#ffffff',
								'label' 	   => __('Background Color', 'aztecs'),
							),
						),
					),
					"section_3" => array('handle' 	=> 'section_3',
						'slug' 		=> 'home_section_3',
						'title' 	=> __('ABOUT US', 'aztecs'),
						'icon' 		=> 'id',
						'settings'	=>  array(
							'about_bg_color' => array(
								'type' 		   => 'color',
								'id' 		   => 'about_bg_color',
								'default' 	   => 'rgba(255, 255, 255, 0)',
								'label' 	   => __('Background Color', 'aztecs'),
							),
							'about_us_image'	=> array(
								'type' 	  		=> 'file',
								'id' 	  		=> 'about_us_image',
								'default' 		=>  get_template_directory_uri().'/assets/images/about/aboutus_2.jpg',
								'label' 		=> __('About Image', 'aztecs'),
							),
							'about_tagline' 	=> array(
								'type' 		=> 'text',
								'id' 		=> 'about_tagline',
								'default' 	=> __('About Us', 'aztecs'),
								'label' 	=> __('Tagline', 'aztecs'),
							),
							'about_heading' 	=> array(
								'type' 		=> 'text',
								'id' 		=> 'about_heading',
								'default' 	=> __('Great Digital Agency Since 1980', 'aztecs'),
								'label' 	=> __('Heading', 'aztecs'),
							),
							'about_content' 	=> array(
								'type' 		=> 'textarea',
								'id' 		=> 'about_content',
								'default' 	=> __('Creative & Proffesional Digital Agency!
                                                Duis sed tellus leo. Donec vitae neque sed felis 
                                                fringilla viverra. Phasellus mollis pellentesque 
                                                libero ac felis vehicula. Morbi sagittis et ornare maximus.
                                                Morbi euismod eros quis lacinia iaculis. 
                                                Vivamus quis erat vel eros egestas bibendum vitae mollis sem.
                                                Vestibulum vel scelerisque turpis. Quisque ac lacinia 
                                                scelerisque risus. Proin vel et dignissim risus.', 'aztecs'),
								'label' 	=> __('Content', 'aztecs'),
							),
							'about_btn_show' => array(
								'type' 		 => 'select',
								'id' 		 => 'about_btn_show',
								'default' 	 => 'yes',
								'label' 	 => __('Show Button', 'aztecs'),
								'hideshow' 	 => 'true',
								'choices' 	 => array("yes" => "Yes",
														"no" => "No"
													),
							),
							'about_btn_text' => array(
								'type' 		 => 'text',
								'id' 		 => 'about_btn_text',
								'default' 	 => __('Read More', 'aztecs'),
								'label' 	 => __('Button Text', 'aztecs'),
								'hideshow-parent'=>"fst_about_btn_show-slide"
								),
							'about_btn_link' => array(
								'type' 		 => 'text',
								'id' 		 => 'about_btn_link',
								'default' 	 => '#.',
								'label' 	 => __('Button Link', 'aztecs'),
							),
						),
					),
					"section_4" => array('handle' 	=> 'section_4',
						'slug' 		=> 'home_section_4',
						'title' 	=> __('COUNTER', 'aztecs'),
						'icon' 		=> 'performance',
						'settings'	=>  array(
							'counter_bg_image' => array(
								'type' 		 => 'file',
								'id' 		 => 'counter_bg_image',
								'default' 	 =>  get_template_directory_uri().'/assets/images/bg/bg_counter_2.jpg' ,
								'label' 	 => __('Background Image', 'aztecs'),
							),
							'counter_text_color' => array(
								'type' 		   => 'color',
								'id' 		   => 'counter_text_color',
								'default' 	   => '#5f6e7b',
								'label' 	   => __('Text Color', 'aztecs'),
							),
							'counter_box_bg_color' => array(
								'type' 		   => 'color',
								'id' 		   => 'counter_box_bg_color',
								'default' 	   => '#fff',
								'label' 	   => __('Box Background Color', 'aztecs'),
							),
							'counter1_image' => array(
								'type' 		 => 'file',
								'id' 		 => 'counter1_image',
								'default' 	 => get_template_directory_uri().'/assets/images/cta/smiley.png' ,
								'label' 	 => __('Counter1 Image', 'aztecs'),
							),
							'counter1_count' => array(
								'type' 		   => 'number',
								'id' 		   => 'counter1_count',
								'default' 	   => '869',
								'label' 	   => __('Counter1 Count', 'aztecs'),
							),
							'counter1_content' => array(
								'type' 		   => 'text',
								'id' 		   => 'counter1_content',
								'default' 	   => __('Satisfied', 'aztecs'),
								'label' 	   => __('Counter1 Content', 'aztecs'),
							),
							'counter2_image' => array(
								'type' 		 => 'file',
								'id' 		 => 'counter2_image',
								'default' 	 =>  get_template_directory_uri().'/assets/images/cta/appointment_2.png' ,
								'label' 	 => __('Counter2 Image', 'aztecs'),
							),
							'counter2_count' => array(
								'type' 		   => 'number',
								'id' 		   => 'counter2_count',
								'default' 	   => '1620',
								'label' 	   => __('Counter2 Count', 'aztecs'),
							),
							'counter2_content' => array(
								'type' 		   => 'text',
								'id' 		   => 'counter2_content',
								'default' 	   => __('Worked', 'aztecs'),
								'label' 	   => __('Counter2 Content', 'aztecs'),
							),
							'counter3_image' => array(
								'type' 		 => 'file',
								'id' 		 => 'counter3_image',
								'default' 	 =>   get_template_directory_uri().'/assets/images/cta/coffee_cup_2.png',
								'label' 	 => __('Counter3 Image', 'aztecs'),
							),
							'counter3_count' => array(
								'type' 		   => 'number',
								'id' 		   => 'counter3_count',
								'default' 	   => '600',
								'label' 	   => __('Counter3 Count', 'aztecs'),
							),
							'counter3_content' => array(
								'type' 		   => 'text',
								'id' 		   => 'counter3_content',
								'default' 	   => __('Coffee Cup', 'aztecs'),
								'label' 	   => __('Counter3 Content', 'aztecs'),
							),
							'counter4_image' => array(
								'type' 		 => 'file',
								'id' 		 => 'counter4_image',
								'default' 	 =>  get_template_directory_uri().'/assets/images/cta/list_2.png' ,
								'label' 	 => __('Counter4 Image', 'aztecs'),
							),
							'counter4_count' => array(
								'type' 		   => 'number',
								'id' 		   => 'counter4_count',
								'default' 	   => '128',
								'label' 	   => __('Counter4 Count', 'aztecs'),
							),
							'counter4_content' => array(
								'type' 		   => 'text',
								'id' 		   => 'counter4_content',
								'default' 	   => __('Project', 'aztecs'),
								'label' 	   => __('Counter4 Content', 'aztecs'),
							),
						),
					),
					"section_5" => array('handle' 	=> 'section_5',
						'slug' 		=> 'home_section_5',
						'title' 	=> __('SERVICES', 'aztecs'),
						'icon' 		=> 'networking',
						'settings'	=>  array(
							'services_tagline' => array(
								'type' 		   => 'text',
								'id' 		   => 'services_tagline',
								'default' 	   => __('Services', 'aztecs'),
								'label' 	   => __('Tagline', 'aztecs'),
							),
							'services_heading' => array(
								'type' 		 => 'text',
								'id' 		 => 'services_heading',
								'default' 	 => __('See Our Workflow Process', 'aztecs'),
								'label' 	 => __('Heading', 'aztecs'),
							),
							'services_content' => array(
								'type' 		 => 'textarea',
								'id' 		 => 'services_content',
								'default' 	 => __('Nullam congue felis quis lectus tincidunt molestie. Etiam  
								                pulvinar mattis odio ac ullamcorper.Ut egestas metus arcu, 
								                id consequat tortor accumsan vitae. Fusce tempor, nunc ac 
								                volutpat consectetur.Cras euismod posuere. Etiam 
								                convallis quis vehicula posuere.risus tellus, consectetur a 
								                vulputate ut, eleifend ac nibh.', 'aztecs'),
								'label' 	 => __('Content', 'aztecs'),
							),
							'services_btn_show' => array(
								'type' 		=> 'select',
								'id' 		=> 'services_btn_show',
								'default' 	=> 'yes',
								'label' 	=> __('Show Button', 'aztecs'),
								'choices'	=> array('yes' => 'Yes',
													'no' => 'No'
												),
							),
							'services_btn_text' => array(
								'type' 		=> 'text',
								'id' 		=> 'services_btn_text',
								'default' 	=> __('Read More', 'aztecs'),
								'label' 	=> __('Button Text', 'aztecs'),
							),
							'services_btn_link' => array(
								'type' 		=> 'text',
								'id' 		=> 'services_btn_link',
								'default' 	=> '#.',
								'label' 	=> __('Button Link', 'aztecs'),
							),
						),
					),
					"section_6" => array('handle' 	=> 'section_6',
						'slug' 		=> 'home_section_6',
						'title' 	=> __('TEAM', 'aztecs'),
						'icon' 		=> 'groups',
						'settings'	=>  array(
							'team_tagline' => array(
								'type' 		   => 'text',
								'id' 		   => 'team_tagline',
								'default' 	   => __('Our Team', 'aztecs'),
								'label' 	   => __('Tagline', 'aztecs'),
							),
							'team_heading' => array(
								'type' 		 => 'text',
								'id' 		 => 'team_heading',
								'default' 	 => __('Our Top Expertise', 'aztecs'),
								'label' 	 => __('Heading', 'aztecs'),
							),
							'team_show_type' => array(
								'type' 		=> 'select',
								'id' 		=> 'team_show_type',
								'default' 	=> 'slide',
								'label' 	=> __('Show Type', 'aztecs'),
								'choices'	=> array("grid" => "Grid",
													"slide" => "Slide",
												),
							),
							'team_no_of_record' => array(
								'type' 		=> 'select',
								'id' 		=> 'team_no_of_record',
								'default' 	=> '3',
								'label' 	=> __('Number of Records', 'aztecs'),
								'choices'	=> array("1" => "1",
													"2" => "2",
													"3" => "3",
													"4" => "4",
													"5" => "5",
													"6" => "6"
												),
							),
							'team_no_of_items' => array(
								'type' 		=> 'select',
								'id' 		=> 'team_no_of_items',
								'default' 	=> '4',
								'label' 	=> __('Slide To Show', 'aztecs'),
								'choices'	=> array("1" => "1",
													"2" => "2",
													"3" => "3",
													"4" => "4"
												),
							),
							'team_autoplay' => array(
								'type' 		=> 'select',
								'id' 		=> 'team_autoplay',
								'default' 	=> 'true',
								'label' 	=> __('Autoplay', 'aztecs'),
								'choices'	=> array('true' => 'True',
												'false' => 'False'),
							),
							'team_autoplaySpeed' => array(
								'type' 		=> 'number',
								'id' 		=> 'team_autoplaySpeed',
								'default' 	=> '1000',
								'label' 	=> __('Autoplay Speed', 'aztecs'),
							),
								'team_draggable' => array(
								'type' 		=> 'select',
								'id' 		=> 'team_draggable',
								'default' 	=> 'true',
								'label' 	=> __('Draggable', 'aztecs'),
								'choices'	=> array('true' => 'True',
												'false' => 'False'),
							),
								'team_infinite' => array(
								'type' 		=> 'select',
								'id' 		=> 'team_infinite',
								'default' 	=> 'true',
								'label' 	=> __('Infinite', 'aztecs'),
								'choices'	=> array('true' => 'True',
												'false' => 'False'),
							),
							'team_tablet' => array(
								'type' 		=> 'select',
								'id' 		=> 'team_tablet',
								'default' 	=> '3',
								'label' 	=> __('Tablet', 'aztecs'),
								'choices'	=> array("1" => "1",
													"2" => "2",
													"3" => "3",
													"4" => "4",
												),
							),
							'team_mobile' => array(
								'type' 		=> 'select',
								'id' 		=> 'team_mobile',
								'default' 	=> '2',
								'label' 	=> __('Mobile', 'aztecs'),
								'choices'	=> array("1" => "1",
													"2" => "2",
													"3" => "3",
													"4" => "4",
												),
							),
							'team_small_device' => array(
								'type' 		=> 'select',
								'id' 		=> 'team_small_device',
								'default' 	=> '1',
								'label' 	=> __('Small Device', 'aztecs'),
								'choices'	=> array("1" => "1",
													"2" => "2",
													"3" => "3",
													"4" => "4",
												),
							),
						),
					),
					"section_7" => array('handle' 	=> 'section_7',
						'slug' 		=> 'home_section_7',
						'title' 	=> __('TESTIMONIAL', 'aztecs'),
						'icon' 		=> 'testimonial',
						'settings'	=>  array(
							'testimonial_heading' => array(
								'type' 		 => 'text',
								'id' 		 => 'testimonial_heading',
								'default' 	 => __('Our Client Feedback', 'aztecs'),
								'label' 	 => __('Heading', 'aztecs'),
								),
							),
							'testimonial_no_of_record' => array(
								'type' 		=> 'select',
								'id' 		=> 'testimonial_no_of_record',
								'default' 	=> '3',
								'label' 	=> __('Number of Records', 'aztecs'),
								'choices'	=> array("1" => "1",
													"2" => "2",
													"3" => "3",
													"4" => "4",
													"5" => "5",
													"6" => "6"
												),
							),
							'testimonial_autoplay' => array(
								'type' 		=> 'select',
								'id' 		=> 'testimonial_autoplay',
								'default' 	=> 'true',
								'label' 	=> __('Autoplay', 'aztecs'),
								'choices'	=> array('true' => 'True',
												'false' => 'False'),
							),
							'testimonial_autoplaySpeed' => array(
								'type' 		=> 'number',
								'id' 		=> 'testimonial_autoplaySpeed',
								'default' 	=> '500',
								'label' 	=> __('Autoplay Speed', 'aztecs'),
							),
								'testimonial_draggable' => array(
								'type' 		=> 'select',
								'id' 		=> 'testimonial_draggable',
								'default' 	=> 'true',
								'label' 	=> __('Draggable', 'aztecs'),
								'choices'	=> array('true' => 'True',
												'false' => 'False'),
							),
								'testimonial_infinite' => array(
								'type' 		=> 'select',
								'id' 		=> 'testimonial_infinite',
								'default' 	=> 'true',
								'label' 	=> __('Infinite', 'aztecs'),
								'choices'	=> array('true' => 'True',
												'false' => 'False'),
							),
							'testimonial_blockquote_icon' => array(
								'type' 		=> 'font_icon',
								'id' 		=> 'testimonial_blockquote_icon',
								'default' 	=> 'fas fa-quote-right',
								'label' 	=> __('Quote Icon', 'aztecs'),
							),
					),	
					"section_8" => array('handle' 	=> 'section_8',
						'slug' 		=> 'home_section_8',
						'title' 	=> __('PRICE', 'aztecs'),
						'icon' 		=> 'tickets-alt',
						'settings'	=> array(
						    'pricing_tagline' => array(
								'type' 		   => 'text',
								'id' 		   => 'pricing_tagline',
								'default' 	   => __('Pricing Table', 'aztecs'),
								'label' 	   => __('Tagline', 'aztecs'),
							),
							'pricing_heading' => array(
								'type' 		 => 'text',
								'id' 		 => 'pricing_heading',
								'default' 	 => __('Our Pricing Plan', 'aztecs'),
								'label' 	 => __('Heading', 'aztecs'),
							),
							'pricing_no_of_record' => array(
								'type' 		=> 'select',
								'id' 		=> 'pricing_no_of_record',
								'default' 	=> '3',
								'label' 	=> __('Number of Records', 'aztecs'),
								'choices'	=> array("1" => "1",
													"2" => "2",
													"3" => "3",
													"4" => "4",
													"5" => "5",
													"6" => "6"
												),
							),
							'pricing_no_of_column' => array(
								'type' 		=> 'select',
								'id' 		=> 'pricing_no_of_column',
								'default' 	=> '4',
								'label' 	=> __('No of Columns', 'aztecs'),
								'choices'	=> array("1" => "1",
													"2" => "2",
													"3" => "3",
													"4" => "4"
												),
							),
								'pricing_button_title' => array(
								'type' 		 => 'text',
								'id' 		 => 'pricing_button_title',
								'default' 	 => __('SIGN UP NOW', 'aztecs'),
								'label' 	 => __('Button Title', 'aztecs'),
							),
						    
						),
					),	    
					"section_9" => array('handle' 	=> 'section_9',
						'slug' 		=> 'home_section_9',
						'title' 	=> __('BLOGS', 'aztecs'),
						'icon' 		=> 'rss',
						'settings'	=> array(
							'blog_tagline' => array(
								'type' 		=> 'text',
								'id' 		=> 'blog_tagline',
								'default' 	=> __('LATEST NEWS', 'aztecs'),
								'label' 	=> __('Tagline', 'aztecs'),
							),
							'blog_heading'  => array(
								'type' 		=> 'text',
								'id' 		=> 'blog_heading',
								'default' 	=> __('From The Blog', 'aztecs'),
								'label' 	=> __('Tagline', 'aztecs'),
							),
							'news_link_text'  => array(
								'type' 		=> 'text',
								'id' 		=> 'news_link_text',
								'default' 	=> __('Read More', 'aztecs'),
								'label' 	=> __('Link Text', 'aztecs'),
							),
							'news_no_of_records' => array(
								'type' 		=> 'select',
								'id' 		=> 'news_no_of_records',
								'default' 	=> '3',
								'label' 	=> __('Number of Blogs', 'aztecs'),
								'choices'	=> array("1" => "1",
													"2" => "2",
													"3" => "3",
													"4" => "4",
													"5" => "5",
													"6" => "6",
													"7" => "7",
													"8" => "8",
													"9" => "9",
													"10" => "10",
												),
							),
							'news_no_of_items' => array(
								'type' 		=> 'select',
								'id' 		=> 'news_no_of_items',
								'default' 	=> '3',
								'label' 	=> __('Number of Columns', 'aztecs'),
								'choices'	=> array("1" => "1",
													"2" => "2",
													"3" => "3",
													"4" => "4",
												),
							),
						),
					),
					"section_10" => array('handle' 	=> 'section_10',
						'slug' 		=> 'home_section_10',
						'title' 	=> __('CALL TO ACTION', 'aztecs'),
						'icon' 		=> 'admin-site-alt3',
						'settings'	=> array(
							'callaction_bg_image' => array(
								'type' 		=> 'file',
								'id' 		=> 'callaction_bg_image',
								'default' 	=>  get_template_directory_uri().'/assets/images/bg/bg_cta.jpg' ,
								'label' 	=> __('Tagline', 'aztecs'),
							),
							'callaction_text1'  => array(
								'type' 		=> 'text',
								'id' 		=> 'callaction_text1',
								'default' 	=> __('Do You Have Any Project?', 'aztecs'),
								'label' 	=> __('Text 1', 'aztecs'),
							),
							'callaction_text2'  => array(
								'type' 		=> 'text',
								'id' 		=> 'callaction_text2',
								'default' 	=> __('Contact Us', 'aztecs'),
								'label' 	=> __('Text 2', 'aztecs'),
							),
							'callaction_text_color' => array(
								'type' 		=> 'color',
								'id' 		=> 'callaction_text_color',
								'default' 	=> '#fff',
								'label' 	=> __('Text Color', 'aztecs'),
							),
							'callaction_btn_text' => array(
								'type' 		=> 'text',
								'id' 		=> 'callaction_btn_text',
								'default' 	=> __('Contact Us', 'aztecs'),
								'label' 	=> __('Button Text', 'aztecs'),
							),
							'callaction_btn_link' => array(
								'type' 		=> 'text',
								'id' 		=> 'callaction_btn_link',
								'default' 	=> '#.',
								'label' 	=> __('Button Link', 'aztecs'),
							),
						),
					),
					"section_11" => array('handle' 	=> 'section_11',
						'slug' 		=> 'home_section_11',
						'title' 	=> __('CONTACT US', 'aztecs'),
						'icon' 		=> 'admin-site-alt3',
						'settings'	=> array(
						    'contact_tagline' => array(
								'type' 		=> 'text',
								'id' 		=> 'contact_tagline',
								'default' 	=> __('Contact Us', 'aztecs'),
								'label' 	=> __('Tagline', 'aztecs'),
							),
							'contact_heading'  => array(
								'type' 		=> 'text',
								'id' 		=> 'contact_heading',
								'default' 	=> __('Get In Touch With Us', 'aztecs'),
								'label' 	=> __('Heading', 'aztecs'),
							),
							'contact_first_icon' => array(
								'type' 		=> 'font_icon',
								'id' 		=> 'contact_first_icon',
								'default' 	=> 'fa fa-map-marker-alt',
								'label' 	=> __('Column Icon 1', 'aztecs'),
							),
							'contact_address_title'  => array(
								'type' 		=> 'text',
								'id' 		=> 'contact_address_title',
								'default' 	=> __('Location', 'aztecs'),
								'label' 	=> __('column Heading 1', 'aztecs'),
							),
							'contact_address_content'  => array(
								'type' 		=> 'text',
								'id' 		=> 'contact_address_content',
								'default' 	=> __('54B, Tailstoi Town 5238 MT, La city, IA 522364', 'aztecs'),
								'label' 	=> __('column content 1', 'aztecs'),
							),
							'contact_second_icon' => array(
								'type' 		=> 'font_icon',
								'id' 		=> 'contact_second_icon',
								'default' 	=> 'fa fa-phone',
								'label' 	=> __('Column Icon 2', 'aztecs'),
							),
							'contact_phone_title'  => array(
								'type' 		=> 'text',
								'id' 		=> 'contact_phone_title',
								'default' 	=> __('Call Us Now', 'aztecs'),
								'label' 	=> __('column Heading 2', 'aztecs'),
							),
							'contact_phn_number'  => array(
								'type' 		=> 'text',
								'id' 		=> 'contact_phn_number',
								'default' 	=> '+91- 4568749',
								'label' 	=> __('column content 2', 'aztecs'),
							),
							'contact_third_icon' => array(
								'type' 		=> 'font_icon',
								'id' 		=> 'contact_third_icon',
								'default' 	=> 'fa fa-envelope-open',
								'label' 	=> __('Column Icon 3', 'aztecs'),
							),
							'contact_email_title'  => array(
								'type' 		=> 'text',
								'id' 		=> 'contact_email_title',
								'default' 	=> __('Email Us', 'aztecs'),
								'label' 	=> __('column Heading 3', 'aztecs'),
							),
							'contact_email'  => array(
								'type' 		=> 'text',
								'id' 		=> 'contact_email',
								'default' 	=> 'anagha@contact.com',
								'label' 	=> __('column content 3', 'aztecs'),
							),
							'icon_gradient_color1' => array(
								'type' 		=> 'color',
								'id' 		=> 'icon_gradient_color1',
								'default' 	=> '#00d9a6',
								'label' 	=> __('Icon Gradient Color #1', 'aztecs'),
							),
								'icon_gradient_color2' => array(
								'type' 		=> 'color',
								'id' 		=> 'icon_gradient_color2',
								'default' 	=> '#9be15d',
								'label' 	=> __('Icon Gradient Color #2', 'aztecs'),
							),
							'contact_iframe_map'  => array(
								'type' 		=> 'textarea',
								'id' 		=> 'contact_iframe_map',
								'default' 	=> __('Please Here Add Iframe HTML Code', 'aztecs'),
								'label' 	=> __('Iframe URL ', 'aztecs'),
							),
							'contact_shortcode'  => array(
								'type' 		=> 'textarea',
								'id' 		=> 'contact_shortcode',
								'default' 	=> '[contact-form-7 id="118" title="Contact Form"]',
								'label' 	=> __('Shortcode', 'aztecs'),
							),
						    
						    ),
					),
					
				);
	return $sections; 
}