<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @package WordPress
 * @subpackage Aztecs
 * @since 1.0.0
 * @version 1.0.0
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <?php wp_head(); ?>
</head>

<?php
  $site_layout_setting    = get_theme_mod('site_layout_setting');
  $body_class = ($site_layout_setting == 'site_boxed') ? 'body_boxed_size' : '' ;
?>
<body <?php body_class('fudutheme-body '.$body_class); ?>>
<?php do_action('aztecs_before_header'); ?>
<header id="fs-main-header" class="fs-header">
  <?php 
    do_action('aztecs_before_header_container'); 
    get_template_part('template-parts/header/navigation');
    do_action('aztecs_after_header_container'); 
  ?>
</header>
<main id="fs-main" class="fs-content">