<?php
/**
 * The main template file
 *
 * This is the most generic template file in a Aztecs
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @package WordPress
 * @subpackage Aztecs
 * @since 1.0.0
 * @version 1.0.0
 */
get_header(); 
$page_for_posts = get_option( 'page_for_posts' );
if (is_archive() || is_home()) {
    ?>
    <!-- Start Page Header Banner -->
  <section class="fs-banner-inner all-posts">
    <div class="container">
      <div class="fs-banner-content">
        <h1><?php echo get_the_title($page_for_posts); ?></h1>
           <!-- Breadcrumb row -->
            <ul class="fs-breadcrumb">
                <li>
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                        <?php _e('Home', 'aztecs'); ?>
                    </a> 
                    <span><i class="fas fa-caret-right"></i></span>
                </li>
                <li ><?php the_title($page_for_posts); ?></li>
            </ul>
      </div>
    </div><!-- ./containerr -->
  </section><!-- /.banner -->

    <section class="fs-blog p-t70 p-b70 all-posts">
        <div class="container">
            <div class="row">
                <div class="col-lg-9 col-md-12 col-sm-12 col-xs-12">
                    <div class="row">
                        <?php
                            do_action('aztecs_before_archieve_sections');
                            while ( have_posts() ) {
                                the_post();
                                get_template_part( 'template-parts/content/content', 'loop' );
                            } 
                            do_action('aztecs_after_archieve_sections');
                        ?>
                       <div class="col-md-12 col-sm-12 col-xs-12 text-center">
                        <?php 
                            if(function_exists('aztecs_post_pagination')) {
                                aztecs_post_pagination();
                            }
                        ?>
                        </div>
                    </div>
                </div>

                <div class="col-lg-3 col-md-8 col-sm-12 col-xs-12">
                    <div class="fs-sidebar">
                        <?php dynamic_sidebar('aztecs_sidebar'); ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <?php
} else {
    do_action('fst_load_page_sections');
    if ( have_posts() ) {
        /* Start the Loop */
        while ( have_posts() ) {
            the_post();
            get_template_part( 'template-parts/content/content', get_post_format() );
        }
        aztecs_post_pagination();
    } else {
        get_template_part( 'template-parts/content/content', 'none' );
    }
}
get_footer();