<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @package WordPress
 * @subpackage Aztecs
 * @since 1.0.0
 * @version 1.0.0
 */
get_header();
?>
 <section class="fs-banner-inner all-posts">
    <div class="container">
      <div class="fs-banner-content">
        <h1><?php the_title(); ?></h1>
           <!-- Breadcrumb row -->
            <ul class="fs-breadcrumb">
                <li>
                  <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                    <?php _e('Home', 'aztecs'); ?>
                  </a> 
                  <span><i class="fas fa-caret-right"></i></span>
                </li>
                <li><?php the_title(); ?></li>
            </ul>
      </div>
    </div><!-- ./containerr -->
  </section><!-- /.banner -->
<?php
  $post_page_id             = get_option('page_for_posts','');
  $current_page_id          = get_the_ID();
  $show_hide_posts_page     = get_option( 'show_on_front' );
if ($show_hide_posts_page == 'posts' && $post_page_id == $current_page_id) {
  get_template_part('template-parts/latest-posts/pre_create_blog');
} else { ?>
  <section class="fs-page">
    <div class="container">
    	<div class="row">
    		<div class="col-md-12 col-sm-12 col-xs-12">
          <?php
						while ( have_posts() ) {
							the_post();
							get_template_part( 'template-parts/content/content', 'page' );
              // If comments are open or we have at least one comment, load up the comment template.
              if ( comments_open() || get_comments_number() ) {
                comments_template();
              }
						} 
					?>
        </div>
    	</div>
    </div>
	</section>
  <?php 
}
get_footer();