<?php
/**
 * Template part for displaying images/attachments
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Aztecs
 * @since 1.0.0
 * @version 1.0.0
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('fs-attachment-block'); ?>>

	<?php
		/**
		 * Filter the default fudutheme image attachment size.
		 *
		 * @since Aztecs 1.0.0
		 *
		 * @param string $image_size Image size. Default 'medium'.
		 */
		$image_size = apply_filters( 'aztecs_attachment_size', 'medium' );
    	$img        = wp_get_attachment_image_url( get_the_ID(), $image_size );
    	$images     = $img ? $img : get_template_directory_uri().
    			    '/fst-framework/fst-customizer/assets/images/default-image.jpg';
	    $thumb_img  = get_post( get_post_thumbnail_id() ); 
	?>
	
	<div class="entry-content">
       	<h3 class="fs-single-post-title">
            <a href="<?php echo get_post_permalink();?>" class="h3">
            	<?php the_title(); ?>
            </a>
        </h3> 
    	<figure class="attachment-media">
    	    <img src="<?php echo esc_url($images); ?>" alt="Blog">
    	</figure>
		<div class="entry-attachment">
			<?php
				if( function_exists('aztecs_excerpt')) {
					aztecs_excerpt( 'entry-caption' ); 
				}
			?>
		</div>
		<h4 class="fs-attachment-title p-b10">
			<?php  echo $thumb_img->post_excerpt; ?>
		</h4>
		<span class="fs-post-date">
			<i class="fas fa-calendar-alt p-r10"></i>
			<?php echo get_the_date( "F d, Y" ); ?>
		</span>
        <div class="fs-attachment-desc p-t10">
        	<?php echo $thumb_img->post_content;  ?>
        </div>
	</div>

	<footer class="entry-footer">
		<?php 
			if (function_exists('aztecs_entry_meta')) {
				aztecs_entry_meta(); 
			}
		
			edit_post_link(
				sprintf(
					__( 'Edit<span class="screen-reader-text"> "%s"</span>', 'aztecs' ),
					get_the_title()
				),
				'<span class="edit-link">',
				'</span>'
			);
		?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->