<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Aztecs
 * @since 1.0.0
 * @version 1.0.0
 */

?>

<div class="col-md-6 col-sm-6 col-xs-12 mb-4">
	<article id="post-<?php the_ID(); ?>" <?php post_class('fs-blog-wrapper fs-section-content'); ?>>
        <div class="fs-blog-wrapper fs-section-content">
        	<div class="blog-media">
	            <?php 
					$img = (get_the_post_thumbnail_url('','medium_small')) ? get_the_post_thumbnail_url() : get_template_directory_uri().'/fst-framework/fst-customizer/assets/images/default-image.jpg';
				?>
				
				<a href="<?php echo get_post_permalink(); ?>">
				 	<div class="img">
		                <img src="<?php echo esc_url($img); ?>" alt="Blog">
		            </div>
		        </a>
	            <div class="fs-blog-date">
	            	<span><?php echo get_the_date( "F d,Y" ); ?></span>
	            </div>
	        </div>
	        <div class="fs-blog-meta">
	           <a href="<?php echo get_post_permalink(); ?>" class="h3">
		    	    <?php 
		    	        if(function_exists('aztecs_post_title')) {
		    	        	echo aztecs_post_title(get_the_title());
		    	        }
					?>
		    	</a>
	            <p>
		  		    <?php 
		                $contents = wp_trim_words( get_the_content(), 15 );
	                    echo strip_tags($contents);
	                    $content_count = str_word_count($contents);
		            ?>
		       	</p> 
		       	
		       	<?php if($content_count > 15) { ?> 
		            <a href="<?php echo get_post_permalink(); ?>" class="more theme-button-link">
		            	<?php _e('Read More', 'aztecs'); ?>
		            	<i class="fas fa-chevron-right"></i>
		            </a>
	            <?php } ?>
	        </div>
			<div class="entry-content">
				<?php
					wp_link_pages(
						array(
							'before' => '<div class="page-links">' . __( 'Pages:', 'aztecs' ),
							'after'  => '</div>',
						)
					);
				?>
			</div>
		</div>
	</article>
</div>