<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Aztecs
 * @since 1.0.0
 * @version 1.0.0
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('fs-single-post-inner m-b20'); ?>>
	<header class="entry-header">
		<?php
		if ( is_sticky() && is_home() && ! is_paged() ) {
			printf( '<span class="sticky-post">%s</span>', _x( 'Featured', 'post', 'aztecs' ) );
		}
		if ( is_singular() ) {
		    
		} else {
			the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
		}
		?>
	</header><!-- .entry-header -->
	
    <h3 class="fs-single-post-title">
        <a href="<?php echo get_post_permalink();?>" class="h3"><?php echo get_the_title(); ?></a>
    </h3> 
    <?php if ( has_post_thumbnail() ) { ?>
	    <figure class="fs-single-blog-media fs-img-effect">
	        <?php  
		        $default_img = get_template_directory_uri().'/fst-framework/fst-customizer/assets/images/default-image.jpg';
		        if ( has_post_thumbnail() ) {
		        	the_post_thumbnail('large');  
		        } 
	        ?> 
	        <span class="fs-single-post-date"><?php echo get_the_date( "d F Y" ); ?></span>
	   </figure>
	<?php } ?>
	<span class="fs-author"><?php printf(__("By %s", 'aztecs'), get_the_author()); ?></span>		
	<div class="fs-single-post-content p-t10">
	    <p><?php the_content(); ?></p>
	</div>
	<div class="fs-article-tags"><?php the_tags(); ?></div>
	<?php 
	    $separate_meta = __( ', ', 'aztecs' );
	    $categories_list = get_the_category_list( $separate_meta );
	?>
	    <span class="cat-links">
	    <span class="screen-reader-text"> <?php _e( 'Categories:', 'aztecs' );?></span>
	    <?php echo $categories_list; ?>
	   </span>
	<div class="entry-content">
		<?php
		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'aztecs' ),
				'after'  => '</div>',
			)
		);
		?>
	</div>

	<footer class="entry-footer">
		<?php aztecs_post_footer(); ?>
	</footer>
</article>